#ifdef GNU
#include <gdbm.h>
#else
#include <ndbm.h>
#endif

#include "/home/bharathi/PNJ1/usr3/sangal/anusAraka/com/morph/headers/defn.h"
#include "/home/bharathi/PNJ1/usr3/sangal/anusAraka/com/morph/headers/struct.h"
#include "/home/bharathi/PNJ1/usr3/sangal/anusAraka/com/morph/headers/struct1.h"

extern int DEBUG;

extern int sizeof_adv_xi;

extern struct suff_info adv_xi_ar[];

extern void get_derived_rt();

void
derived_adv_noun_heuristics(root,pdgm,DBM_FLAG,db_lex,ans_root,aux_verb)
char root[SUFFWORDSIZE],pdgm[WORD_SIZE];
int DBM_FLAG;
#ifdef GNU
GDBM_FILE db_lex;
#else
DBM *db_lex;
#endif

char ans_root[SUFFWORDSIZE];
char aux_verb[SUFFWORDSIZE];
{
int len,derived_root;
char suffix_2[3],suffix_3[4],suffix_4[5];
char tmp_root[SUFFWORDSIZE];
char offset_aux_str[SUFFWORDSIZE];

len = strlen(root);
strcpy(tmp_root,root);
if(len>4)strcpy(suffix_4 , root+len-4); else strcpy(suffix_4,"");
if(len>3)strcpy(suffix_3 , root+len-3); else strcpy(suffix_3,"");
if(len>2)strcpy(suffix_2 , root+len-2); else strcpy(suffix_2,"");

derived_root = 0;
ans_root[0] = '\0';

/* vAdu Cases */
if((!strcmp(suffix_4,"vAdu")) && !strcmp(pdgm,"vAdu") && ( ans_root[0] == '\0')) {
derived_root = 1;
get_derived_rt(root,adv_xi_ar->suffix,sizeof_adv_xi,sizeof(adv_xi_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb,offset_aux_str);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_vAdu");
}
}
/* axi Cases */
if((!strcmp(suffix_3,"axi")) && !strcmp(pdgm,"axi") && ( ans_root[0] == '\0')) {
root[len-3] = 'x';
root[len-2] = 'i';
root[len-1] = '\0';
derived_root = 1;
get_derived_rt(root,adv_xi_ar->suffix,sizeof_adv_xi,sizeof(adv_xi_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb,offset_aux_str);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_xi");
}
}
if((!strcmp(suffix_2,"xi")) && !strcmp(pdgm,"axi") && ( ans_root[0] == '\0')) {
derived_root = 1;
get_derived_rt(root,adv_xi_ar->suffix,sizeof_adv_xi,sizeof(adv_xi_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb,offset_aux_str);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_xi");
}
}

if(DEBUG && derived_root)
{
printf("%s\n",ans_root);
printf("%d\n",derived_root);
}

}
