#include <ndbm.h>
#include "/home/bharathi/PNJ1/usr3/sangal/anusAraka/com/morph/headers/defn.h"
#include "/home/bharathi/PNJ1/usr3/sangal/anusAraka/com/morph/headers/struct.h"
#include "/home/bharathi/PNJ1/usr3/sangal/anusAraka/com/morph/headers/struct1.h"

extern int DEBUG;

extern int sizeof_adj_xi;
extern int sizeof_adj_ni;
extern int sizeof_adj_nEna;
extern int sizeof_adj_pAti;

extern struct suff_info adj_xi_ar[];
extern struct suff_info adj_ni_ar[];
extern struct suff_info adj_nEna_ar[];
extern struct suff_info adj_pAti_ar[];

extern void get_derived_rt();

void
derived_adj_noun_heuristics(root,pdgm,DBM_FLAG,db_lex,ans_root,aux_verb)
char root[SUFFWORDSIZE],pdgm[WORD_SIZE];
int DBM_FLAG;
DBM *db_lex;
char ans_root[SUFFWORDSIZE];
char aux_verb[SUFFWORDSIZE];
{
int len,derived_root;
char suffix_2[3],suffix_3[4],suffix_4[5],suffix_5[6],suffix_6[7],suffix_7[8],suffix_10[11];
char tmp_root[SUFFWORDSIZE];

len = strlen(root);
strcpy(tmp_root,root);
if(len>10) strcpy(suffix_10 , root+len-10); else strcpy(suffix_10,"");
if(len>7)strcpy(suffix_7 , root+len-7); else strcpy(suffix_7,"");
if(len>6)strcpy(suffix_6 , root+len-6); else strcpy(suffix_6,"");
if(len>5)strcpy(suffix_5 , root+len-5); else strcpy(suffix_5,"");
if(len>4)strcpy(suffix_4 , root+len-4); else strcpy(suffix_4,"");
if(len>3)strcpy(suffix_3 , root+len-3); else strcpy(suffix_3,"");
if(len>2)strcpy(suffix_2 , root+len-2); else strcpy(suffix_2,"");

derived_root = 0;
ans_root[0] = '\0';

/* vAdEnavAdu Cases */

if((!strcmp(suffix_10,"vAdEnavAdu")) && !strcmp(pdgm,"vAdu")) {
root[len-7] = 'u';
root[len-6] = '\0';
derived_root = 1;
get_derived_rt(root,adj_ni_ar->suffix,sizeof_adj_ni,sizeof(adj_ni_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_vAdu_Ena_vAdu2");
}
else{
get_derived_rt(root,adj_xi_ar->suffix,sizeof_adj_xi,sizeof(adj_xi_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_vAdu_Ena_vAdu1");
}
}
strcpy(root,tmp_root);
}
/* vArEnavAru Cases */
if((!strcmp(suffix_10,"vArEnavAru")) && !strcmp(pdgm,"vAru")) {
root[len-7] = 'u';
root[len-6] = '\0';
derived_root = 1;
get_derived_rt(root,adj_ni_ar->suffix,sizeof_adj_ni,sizeof(adj_ni_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_vAru_Ena_vAru2");
}
else{
get_derived_rt(root,adj_xi_ar->suffix,sizeof_adj_xi,sizeof(adj_xi_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_vAru_Ena_vAru1");
}
}
strcpy(root,tmp_root);
}
/* xEnaxi Cases */
if((!strcmp(suffix_7,"xEnaaxi")) && !strcmp(pdgm,"axi")) {
root[len-6] = 'i';
root[len-5] = '\0';
derived_root = 1;
get_derived_rt(root,adj_ni_ar->suffix,sizeof_adj_ni,sizeof(adj_ni_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_xi_Ena_xi2");
}
else{
get_derived_rt(root,adj_xi_ar->suffix,sizeof_adj_xi,sizeof(adj_xi_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0')
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_xi_Ena_xi1");
}
}
strcpy(root,tmp_root);
}
if((!strcmp(suffix_6,"xEnaxi")) && !strcmp(pdgm,"axi")) {
root[len-5] = 'i';
root[len-4] = '\0';
derived_root = 1;
get_derived_rt(root,adj_ni_ar->suffix,sizeof_adj_ni,sizeof(adj_ni_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_xi_Ena_xi2");
}
else{
get_derived_rt(root,adj_xi_ar->suffix,sizeof_adj_xi,sizeof(adj_xi_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_xi_Ena_xi1");
}
}
strcpy(root,tmp_root);
}
/* EnvAru Cases */

if((!strcmp(suffix_7,"EnavAru")) && !strcmp(pdgm,"vAru") && ( ans_root[0] == '\0')) {
derived_root = 1;
get_derived_rt(root,adj_nEna_ar->suffix,sizeof_adj_nEna,sizeof(adj_nEna_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_Ena_vAru");
}
}
/* EnavAdu Cases */
if((!strcmp(suffix_7,"EnavAdu")) && !strcmp(pdgm,"vAdu") && ( ans_root[0] == '\0')) {
derived_root = 1;
get_derived_rt(root,adj_nEna_ar->suffix,sizeof_adj_nEna,sizeof(adj_nEna_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_Ena_vAdu");
}
}
/* Enaxi Cases */
if((!strcmp(suffix_6,"Enaaxi")) && !strcmp(pdgm,"axi") && ( ans_root[0] == '\0')) {
root[len-3] = 'x';
root[len-2] = 'i';
root[len-1] = '\0';
derived_root = 1;
get_derived_rt(root,adj_nEna_ar->suffix,sizeof_adj_nEna,sizeof(adj_nEna_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_Ena_xi");
}
}
if((!strcmp(suffix_5,"Enaxi")) && !strcmp(pdgm,"axi") && ( ans_root[0] == '\0')) {
derived_root = 1;
get_derived_rt(root,adj_nEna_ar->suffix,sizeof_adj_nEna,sizeof(adj_nEna_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_Ena_xi");
}
}
/* pAtixi Cases */
if((!strcmp(suffix_7,"pAtiaxi")) && !strcmp(pdgm,"axi") && ( ans_root[0] == '\0')) {
root[len-3] = 'x';
root[len-2] = 'i';
root[len-1] = '\0';
derived_root = 1;
get_derived_rt(root,adj_pAti_ar->suffix,sizeof_adj_pAti,sizeof(adj_pAti_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_pAti_xi");
}
}
if((!strcmp(suffix_6,"pAtixi")) && !strcmp(pdgm,"axi") && ( ans_root[0] == '\0')) {
derived_root = 1;
get_derived_rt(root,adj_pAti_ar->suffix,sizeof_adj_pAti,sizeof(adj_pAti_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_pAti_xi");
}
}
/* vAdu Cases */
if((!strcmp(suffix_4,"vAdu")) && !strcmp(pdgm,"vAdu") && ( ans_root[0] == '\0')) {
derived_root = 1;
get_derived_rt(root,adj_ni_ar->suffix,sizeof_adj_ni,sizeof(adj_ni_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_vAdu2");
}
else{
get_derived_rt(root,adj_xi_ar->suffix,sizeof_adj_xi,sizeof(adj_xi_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_vAdu1");
}
}
}
/* vAru Cases */
if((!strcmp(suffix_4,"vAru")) && !strcmp(pdgm,"vAru") && ( ans_root[0] == '\0')) {
derived_root = 1;
get_derived_rt(root,adj_ni_ar->suffix,sizeof_adj_ni,sizeof(adj_ni_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_vAru2");
}
else{
get_derived_rt(root,adj_xi_ar->suffix,sizeof_adj_xi,sizeof(adj_xi_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_vAru1");
}
}
}
/* axi Cases */
if((!strcmp(suffix_3,"axi")) && !strcmp(pdgm,"axi") && ( ans_root[0] == '\0')) {
root[len-3] = 'x';
root[len-2] = 'i';
root[len-1] = '\0';
derived_root = 1;
get_derived_rt(root,adj_ni_ar->suffix,sizeof_adj_ni,sizeof(adj_ni_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_xi2");
}
else{
get_derived_rt(root,adj_xi_ar->suffix,sizeof_adj_xi,sizeof(adj_xi_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_xi1");
}
}
}
if((!strcmp(suffix_2,"xi")) && !strcmp(pdgm,"axi") && ( ans_root[0] == '\0')) {
derived_root = 1;
get_derived_rt(root,adj_ni_ar->suffix,sizeof_adj_ni,sizeof(adj_ni_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_xi2");
}
else{
get_derived_rt(root,adj_xi_ar->suffix,sizeof_adj_xi,sizeof(adj_xi_ar[0]),strcmp,DBM_FLAG,db_lex,"noun",ans_root,aux_verb);
if(ans_root[0] != '\0') 
{
if(aux_verb[0] != '\0') { strcat(ans_root,"_"); strcat(ans_root,aux_verb);strcpy(aux_verb,"");}
strcat(ans_root,"_xi1");
}
}
}

if(DEBUG && derived_root)
{
printf("%s\n",ans_root);
printf("%d\n",derived_root);
}

}
