#include <stdio.h>
#include <sys/types.h>
#include <sys/dir.h>
#include <sys/stat.h>

void
recurse(fname,func)
char *fname;
int (*func)();
{
	DIR *dp,ourdp;
	struct dirent *dent;
	struct stat ourbuf;
	char tmpath[100],tmpfil[100],tmpfil1[100];

	dp = opendir(fname);
	if (dp == NULL)
		return;
	strcpy(tmpfil,fname);
	ourdp = *dp;
	for(dent = readdir(&ourdp); dent != NULL; dent = readdir(&ourdp)) {
		if (strcmp(dent->d_name,".") && strcmp(dent->d_name,"..") && strcmp(dent->d_name,"SCCS")) {
			sprintf(tmpath,"%s/%s",tmpfil,dent->d_name);
			stat(tmpath,&ourbuf);
			if (ourbuf.st_mode & S_IFDIR) { 
				recurse(tmpath,func);
			}
			else
				(*func)(tmpath);				
		}
	}
	closedir(&dp);
	return;
}
