#!/usr/bin/perl
# interface to get params/args from the user for corpus search.

# $Id$
local ($oldlimtr, $pat, $strtype, $str, $corpus, $fground, $i, 
       $sentcnt, $outfilename, $wordndx);
require "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/ldcorptab.pl";
$language = $ENV{lang}; # Get the value of language from environment
if ($language eq '') {   # Default, if not found
  $language = 'telugu';
  print STDERR "Assuming: telugu. To set another value,e.g.: 'lang=hindi; export lang'\n";
} 
$corptype = $ENV{corptype}; # Get the value of corptype from environment
if ($corptype eq '') {   # Default, if not found
  $corptype = 'original';
  print STDERR "Assuming: original. To set another type,e.g.: 'corptype=normal; export corptype'\n";
} 
$pat = $ARGV[0];

&ldcorptab;  # Load the table giving corpus format.
$found = -1;
for ($i=0;  $i <= $#langtab;  $i++) {
  # print STDERR "DEBUG: lang: $langtab[$i], status: $origtab[$i].\n";
  if ($language eq $langtab[$i]) {
    if ($corptype eq $origtab[$i]) { $found = $i;  last; }
  }
}
if ($found == -1) { die "$corptype corpus for language $language not found.\n"; }

# open (RC, ">.xtrrc") ||
#    print STDERR "Unable to open output file .xtrrc. May affect choice of end of sentence delimiter.\n";
# print RC '-d', $eostab[$found], "\n";
# print RC '-p', $pat, "\n";
# close RC;

$wordndx = $dirtab[$found] . '/' . $witab[$found];
if (-e $wordndx) {
  system ("grep \"$pat\" $wordndx > /tmp/lookfr.iref");
  @filecharac = stat ('/tmp/lookfr.iref');
  if ($filecharac[7] == 0) { # File empty
    print STDERR "No occurrences found for $pat\n";
  }
  else {
    system ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/iref2name.cmd  -f$dirtab[$found]/$namestab[$found]  < /tmp/lookfr.iref > /tmp/lookfr.nam");
    system ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtr.cmd -p\"$pat\" -d$eostab[$found] \@/tmp/lookfr.nam");
  }
}
else { # word.ndx file does not exist.
  print STDERR "File $dirtab[$found]\/$witab[$found] for word index not found.\n",
               "Slower method will be used for extracting the pattern. (^C to abort)\n";
  print STDERR "Initiating... /home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtr.cmd -p\"$pat\" -d\"$eostab[$found]\"  \@$dirtab[$found]\/$namestab[$found]\"\n";
  system ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtr.cmd -p\"$pat\" -d\"$eostab[$found]\"   \@$dirtab[$found]\/$namestab[$found]");
}

