#!/usr/bin/perl
# Takes as its input an extracted sentence (specified by giving file name 
# containing the extracted sentences and line number). 
# Obtains corpus reference (corpus file name, sentence number)
# and displays it with context.
#   Example usage: sent2corp.cmd  aMtis.xtr  5
# Also works with *.x70 or other related files.

require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corp2/sent2ref.pl");

local ($fname, $lno, $corpfile, $sno, $err2);

$fname = $ARGV[0];
$lno = $ARGV[1];

($corpfile, $sno) = &sent2ref ($fname, $lno);
#print STDERR "sent2corp.cmd deb: Answer is: ", $corpfile, '  ',  $sno, "\n";

system ("vim -v +/\"<s$sno>\" $corpfile");
