#!/usr/bin/perl
# Select the lines with the given pattern.
# Put the remaining in the output bucket.

open (IXA, ">IxA.b") || die "Unable to open IxA.b\n";
open (VAM, ">vAM.b") || die "Unable to open vAM.b\n";
open (AM, ">AM.b") || die "Unable to open AM.b\n";
open (GA, ">gA.b") || die "Unable to open gA.b\n";
 # open (MGA, ">MgA.b") || die "Unable to open MgA.b\n";
open (WA, ">wA.b") || die "Unable to open wA.b\n";
open (XA, ">xA.b") || die "Unable to open xA.b\n";
open (NA, ">NA.b") || die "Unable to open NA.b\n";
open (O, ">o.b") || die "Unable to open o.b\n";

open (RR, ">rem.b") || die "Unable to open rem.su\n";

while (<>) {
  if ( /(IxA|Ixe|IxI|IxIAM)$/ )  { print IXA; }  # tam=IxA
  elsif  ( /g[AIe]( \/|$)/ ) { print GA; }        # tam=future
   # elsif  ( /[AIe]Mg[AIe]( \/|$)/ ) { print MGA; }  # tam=future.
  elsif  ( /vAM( \/|$)/ ) { print VAM; }  # number=plural for n, person=u for v
                                # for v: pl. OR sing. and uttam purush
  elsif  ( /AM( \/|$)/ ) { print AM; }   # number=plural for n, person=u for v
  elsif  ( /w[AIe]( \/|$)/ ) { print WA; } # tam=yA
  elsif  ( /x[AIe]( \/|$)/ ) { print XA; } # tam=xA
  elsif  ( /N[AIea]( \/|$)/ ) { print NA; } # tam=subj OR na_2 OR na
  elsif  ( /o( \/|$)/ ) { print O; } # parsarg=8,tam=subj OR IMP
  else { print RR; }
}

