#!/usr/bin/perl
# Takes the punjabi-hindi dictionary and tries to identify
# entries that have a same or similar Hindi word for the punjabi
# word.
#   Example usage: tdass.pl < IN  >OUT
# Also creates a file called 'rem' with remaining words.

open (REM, ">rem.dict") || die "Unable to open file rem.dict\n";
while($a = <STDIN>) {
  $b = $a;
  $a =~ s/\"//g;
  $a =~ s/z/M/g;   # sure
  $a =~ s/R/S/g;
  $a =~ s/q/ri/g;
  $a =~ s/KZ/K/g;  # Less sure
  $a =~ s/gZ/g/g;
  $a =~ s/jZ/j/g;
  $a =~ s/PZ/P/g;
  $a =~ s/N/a/g;
  $a =~ s/kR/K/g;  # Further trials
  $a =~ s/giA/jFA/g;  # Further trials
  $a =~ s/A/a/g;   # Even less sure
  $a =~ s/i/a/g;

  $a =~ s/([^,\- MHaAiIuUeEoO])([^,\- MHaAiIuUeEoO])/$1a$2/g; # Do after Z removal
  #$a =~ s/yA/iA/g; # 

  $a =~ s/tt/tT/g;
  $a =~ s/Sy/SS/g;

  # $conson-alpa = 'kgcjtdwxpb';
  # $conson-mahA = 'KGCJTDWXPB';
  # $a =~ tr/[$conson-alpa]/[$conson-mahA]/; # 
  
  @fields = split(/,/, $a);
  if ($fields[0] eq $fields[3]) { print $b; }
  elsif ($fields[3] =~ /\//) {
    $subfields = split(/\//,$fields[3]);
       #print $fields[3],$subfields,"\t",$_[0],"\n";
    $flag=0;
    RAMA: for($i=0;$i < $subfields;$i++){
      if($fields[0] eq $_[$i]) { $flag=1;  last RAMA;}
    }
    if($flag) {$flag = 0; print $b;}
    else { print REM $b; }
  }
  else { print REM $b; }
}
close REM;

