#!/usr/bin/perl
#%COMMENT
# Take the given input file of blocks (each block containing similar 
# words and their attributes) and shows those blocks which are larger
# than the given number.
#   Example usage: bl_larger.pl < a.blk  > a_lrg.blk
#%CMD TYPE 11

$max_cnt = 5; # Count above which blocks are printed. #OPT -n

$end_blk = "---\n";
$/ = $end_blk;
$len_sep = length ($/);
while (<>) { # Read a block at a time.
  if (/$end_blk$/) { # Remove the block end marker
    for ($i=1; $i <= $len_sep;  $i++) { chop; }  chop;
  }
  else { print STDERR "Warn: End of block not found: $_\n"; }
  $#rows = -1;
  @rows = split (/\n/);
    #print STDERR "DEB: //";  foreach $r (@rows) { print STDERR $r, '//'; }  print STDERR "\n";
  if (($#rows + 1) >= $max_cnt) { print $_, "\n", $end_blk; }
}
