#!/usr/bin/perl
# Input is a list of filenames where typically each file contains
# words with definite attributes (say, singulars, plurals, etc.).
# Words in each of these files followed by their file name (where the 
# file name will give attribute) are put on one line each.
# (Category names suffixes '.n', '.v', etc. are removed from 
# the word, and the name 'words.' prefix is removed from file name.)
#   bl_wrd_attr.pl  words.n.1 word.n.1.2  .... > noun.attr

foreach $fname (@ARGV) {  # Do for each file.
  #system ("/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/wrd_nl.pl < $fname  > $fname.tmp");
  open (WRDFILE, $fname) ||
    print STDERR "bl_wrd_attr.pl: Unable to open file $fname: $!.",
                 " Continuing...\n";
  if (($fname =~ /^words\./) || ($fname =~ /\/words\./)) { $attr = $'; }
  else { $attr = $fname; }
           # The above removes 'words.' from file name.
  while (<WRDFILE>) {
    chop;
    @words = split (/\s+/);
    foreach $w (@words) {
      if ($w =~ /\./) { $new_w = $`; }
      else { $new_w = $w; }
      print $new_w, "\t", $attr, "\n";
    }
  } 
}
