#!/usr/bin/perl
# Takes an input file consisting of a set of unknown words, 
# one on each line. Tries to form clusters of related words.
#   prefx_cluster.pl   TEST.wrd 
# (Similar to prefx_guess.pl.)

system ("prefx_histo.pl < $ARGV[0]  > $ARGV[0].1.tmp");

# Remove prefixes of size less than 3, and count less than 4.
system ("prefx_sel.cmd  -n4 < $ARGV[0].1.tmp  > $ARGV[0].2.tmp");

# Reverse sort the histogram based on prefix (and then count).
system ("sort -r +1 $ARGV[0].2.tmp  > $ARGV[0].3.tmp");

# Remove shorter prefixes with the same count as longer ones.
# '-lnone' means no other cutoff criterion is used.
system ("prefx_prune.cmd -lnone < $ARGV[0].3.tmp  > $ARGV[0].4.tmp");

# Reverse sort the histogram based on count (then prefix).
system ("sort -nr  $ARGV[0].4.tmp  > $ARGV[0].r.tmp");

