#!/usr/bin/perl
# Takes an input file consisting of a set of words one on each line.
# Tries to guess the best prefix based on that.
#   prefx_guess.pl   TEST.wrd 
#+    prefx_guess.pl  < TEST.wrd   > TEST.pre
# 

system ("prefx_histo.pl < $ARGV[0]  > $ARGV[0].1.tmp");

# Reverse sort the histogram based on max count first, followed by
# longest prefix first.
system ("sort -nr $ARGV[0].1.tmp  > $ARGV[0].2.tmp");

# Remove shorter prefixes with the same count as longer ones.
# Prune prefixes with cutoff factor or .2
system ("prefx_prune.cmd -l.48 < $ARGV[0].2.tmp  > $ARGV[0].r.tmp");

# Now try out the selected prefixes/roots and look for paradigms:
#system ("pardgm_guess.cmd  -r$ARGV[0].r.tmp < $ARGV[0]  > $ARGV[0].p.tmp");


#+ system ("prefx_histo.pl | sort -nr | prefx_prune.pl ");
