#!/usr/bin/perl
#%COMMENT
# Given a file of possibly related word forms, 
# guesses the (pfx, paradigm) pairs that give the best result.
# Example usage: 
#   guess_pfx_pardgm.sh  pardgm.nam  banXu.wrd  > banXu.guess

$pardgmfiles = $ARGV[0];  # File name containing names of paradigm files (del add strings). #OPT -p
system ("/home/bharathi/PNJ1/usr3/sangal/tools/srch ldcatfv.pl morph.hlp morph_i.sh pdm_deladd.cmd pdm_deladd.pl pdm_flds.cmd pdm_flds.cmd.old pdm_flds.opt pdm_flds.pl pdm_guess.aux pdm_guess.cmd pdm_guess.pl pdm_guess1.aux pdm_guess1.cmd pdm_guess1.pl pdm_guessaux.pl pdm_r.cmd pdm_r.pl pdm_sep.pl pfx_cluster.pl pfx_cluster_merge.pl pfx_guess.pl pfx_histo.pl pfx_prune.cmd pfx_prune.pl pfx_sel.cmd pfx_sel.pl word_gen.cmd word_gen.pl word_stat.pl pfx_guess.pl $ARGV[1]");   # Output in $ARGV[1].r.tmp
system ("/home/bharathi/PNJ1/usr3/sangal/tools/srch ldcatfv.pl morph.hlp morph_i.sh pdm_deladd.cmd pdm_deladd.pl pdm_flds.cmd pdm_flds.cmd.old pdm_flds.opt pdm_flds.pl pdm_guess.aux pdm_guess.cmd pdm_guess.pl pdm_guess1.aux pdm_guess1.cmd pdm_guess1.pl pdm_guessaux.pl pdm_r.cmd pdm_r.pl pdm_sep.pl pfx_cluster.pl pfx_cluster_merge.pl pfx_guess.pl pfx_histo.pl pfx_prune.cmd pfx_prune.pl pfx_sel.cmd pfx_sel.pl word_gen.cmd word_gen.pl word_stat.pl pfx_guess.pl $ARGV[1]");   # Output in $ARGV[1].r.tmp
pardgm_guess.cmd -w$ARGV[1] -p$pardgmfiles -r$ARGV[1].r.tmp -e > $ARGV[1].guess 2>&1");

