#!/usr/bin/perl
#%COMMENT
# Takes an input file consisting of different word forms of 
# a root, one on each line. On each line, produces the delete 
# and add strings (to the root) to obtain each word form. 
#   pdgm_deladd.cmd -rROOT  < TEST.wrd   >  TEST.add
# 
# Variables set from calling *.cmd routine:
#   $root - Guessed/given root 
system('echo "move require stmt for pdgm_deladd_sub.pl to near other rquire stmt." >&2');
require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/anumorph/pdgm_deladd_sub.pl");
#%CMD TYPE M1

$root = 'NONE'; # Guessed or given root for the word forms. #OPT -r

while (<>) {
  chop;
  if (/\s+$/) { $_ = $`; }
  if (/^\s+/) { $_ = $'; }
    # print STDERR "DEBUG: root=$root";
  ($del, $add) = &find_deladd ($root, $_);
    # print STDERR "  del=$del, add=$add,\n";  #DEBUG
  $line = '-' . $del . ',+' . $add;
  print $line, "\n";
}
1;
