#!/usr/bin/perl
# Takes the cholesterol file and writes it back with ratio computation,
# and a tab.
while (<>) {
  if (/^\s*#/) { print; } # A comment. Print as it is.
  else {
    chop;
    @fields = split (/\s*,\s*/);
    if ($#fields != 7) { print STDERR "Ignoring invalid number of fields: $_\n"; }
    ($date, $tot, $hdl, $ratio, $tri, $vldl, $ldl, $place) = @fields;
    if ($hdl != 0) { $ratio = $tot / $hdl; }
    print "$date,\t$tot, $hdl, $ratio, $tri, $vldl, $ldl, $place\n";
  }
}

