#!/usr/bin/perl
#%COMMENT
# Takes the ledger as its input file. Produces 
# the ledger with balance filled in.
#%CMD TYPE M1
$debfld = 3;  # Debit field number. Default 3 (counting from 0) #OPT -d
$credfld = 4; # Credit field number. Default 4 (counting from 0) #OPT -c

$bal = 0;
while (<>) {
  if (/^\s*$/)  { print; next; }  # Print but do not process the line.
  if (/^\s*#/) { print; next; }  # Print but do not process the line.
  chop;
  @flds = split (/\s*\|\s*/);
  $bal += $flds[$credfld] - $flds[$debfld];
  print $_;
  print STDOUT sprintf (" %9.2f\n", $bal );  # Removed ' |'

}
