#!/usr/bin/perl
# Given the interest rate, computes the value of 17000 deposited
# yearly in an account at the end of 15 years, with 
# 50k payback in 5 years, and 10 years.
# Computes using simulation method.

while (<>) {
  chop;
  $y = 1 + $_;
  #print STDERR "rate = $_, 1+rate = $y\n";
  $sum = 17;
  for ($i=1; $i < 15; $i++) {
    $sum = $sum * $y;  # after interest
    $prev_sum = $sum;
    $sum += 17;
    print STDERR sprintf ("Year: %2d, Sum: %3.0f + 17 = %3.0f\n", 
                                  $i, $prev_sum, $sum);
    if ($i == 5) { $sum -= 50; }
    if ($i == 10) { $sum -= 50; }
  }
  $ans = $sum * $y;
  print STDOUT sprintf ("%3.2f\n", $ans);
}
