#!/usr/bin/perl

# Takes as its input a file such as: ~sangal/addr/abrmain.adr
# Produces as its output a file suitable for pocket tel dir.: abrtel.adr
$beg = 1;
while (<>) {
  if (/^ *$/) { $beg = 1;}           # recognize begin of new addr record.
  elsif (/^:/) { print "$'";}        # print the line anyway.
  elsif ($beg) { print ; $beg = 0; } # print first line of new record.
  elsif (/^tel:/) { print " $'";}    # print line containing 'tel:'
}

