#!/usr/bin/perl
# Takes an input file with each line consisting of a frequency of a
# word followed by the word.
# Finds the word in the word.ndx file and returns the lines (i.e. its 
# occurrences)
#   Example usage: findstr.pl  < INP  > OUT
# (In case, the first thing in the line is not a natural number,
# treats it as the word to be searched.
# $Id$

#system ('rm fstr');
while (<>) {
  ($freq, $word) = split (/\s+/);
  if (!($freq =~ /[0-9]+/)) {
    print STDERR "Invalid freq value: $freq in $_ Treating it as the word to be searched.\n";
    $word = $word;
  }
  system ("grep  \"$word\" word.ndx");
  #system ("grep  \"$word\" word.ndx |tee  -a fstr");
  last;
}

