# Show the corpus file given the word-irefs.
# $pat		- Pattern, if any, using which the input word-iref file $fin was created.
#                 (Not implemented currently)
# Assumes that 'corp' directory in the current directory islinked to
# the abbreviated corpus file. (setcorp.menu sets it correctly.)
# $Id$

sub showcorpW {
  local ($fin, $fout) =  @_;
  local ($word, $irefs, $fname, @fileirefs, $cumfilenames, $nextind);
  # open (TMPOUT, "| iref2name.cmd -f$wimapfile >showcorpW.tmp") ||
  #   die "Unable to open pipe to iref2name.cmd.\n";
  while (<$fin>) { # For each line containing word and its irefs
    if (/\s+/) {   # Actual separator between word and its irefs is "\s\s"
      $word = $`;   $irefs = $';   chop $irefs;
      @fileirefs = split (/\s+/, $irefs);
      $cumfilenames = '';
      for ($i=0;  $i <= $#fileirefs;  $i++) {
        $cumfilenames .= ' corp/' . $fileirefs[$i];
      }

      open (SS, ">ss.do") ||
        print STDERR "Unable to open file ss.do\n";
      print SS "#\n";
      print SS "vim -v +/\"$word\" $cumfilenames\n";
      print STDERR "Created ss.do. Execute it to see corpus.\n";
      close SS;
      system ("chmod +x ss.do");

      # # system ('tty > tty.ans');
      # open (ANS, 'tty.ans') ||
      #   die "Unable to open input file tty.ans\n First execute the command:  tty > tty.ans\n";
      # $tty = <ANS>;   chop $tty; close ANS;

      # print STDERR "Initiating... vim -v +/\"$word\" $cumfilenames < $tty\n";
      # system ("vim -v +/\"$word\" $cumfilenames  < $tty");  ## Not working

      # NEXT 2 LINES ARE FOR TESTING.
      #print STDERR "(tmptty=\`tty\`; vim -v +/\"$word\" $cumfilenames < \$tmptty) ";
      #system      ("(tmptty=\`tty\`; vim -v +/\"$word\" $cumfilenames < \$tmptty) ");
      return;
       # print STDERR "Continue (y/n): ";
       # $userinput = <STDIN>;
       # chop ($userinput);
       # if ($userinput eq 'n') { return; }
    }
    else { print STDERR "Word followed by its irefs not found. Ignoring: $_\n"; }
  } # end of while loop.
}
1;
