#!/usr/bin/perl
# Break the given input file into smaller files at the marks (''---').
# Names of output files begin with prefix: wi.
#   Usage: brk_file.pl < IN 

$pre = 'wi';
$cnt = 1;
open (OUT, ">$pre$cnt.nam") ||
  die "brk_file.pl: Unable to open file $pre$cnt.nam: $!\n";
while (<>) {
  if (/^---$/) { 
    $cnt++;
    close (OUT);
    open (OUT, ">$pre$cnt.nam") ||
      die "brk_file.pl: Unable to open file $pre$cnt.nam: $!\n";
  }
  elsif (/^\s+---\s+$/) {
    print STDERR "brk_file.pl: '---' with white space. Not a separator.\n";
    print OUT $_;
  }
  else { print OUT $_; }
}
