#!/usr/bin/perl
# This program inserts blank spaces before & after the punctuation marks.
# And joins broken words. (Conventions regarding broken words might
# vary depending on the corpus.)

$prev_line = '';
while (<>) {
  if ($prev_line =~ /~\n$/) { # Broken word found:  ~\n  OR  ~\n#
    chop ($prev_line); chop ($prev_line);
    if (/^#/) { $_ = substr ($_, 1);}
  }
  print $prev_line;
  s/([^ ])([\",:;'`\?><\]\[}{\)\(=!@#%&\*\.\xea])/\1 \2/g;
  s/([\",:;'`\?><\]\[}{\)\(=!@#%&\*\.\xea])([^ ])/\1 \2/g;
     # In above: '-', '_' not there, but "\xea" KadI pAI present.
  $prev_line = $_;
}
print $prev_line;

