#!/usr/bin/perl
# Takes an input file with each line consisting of a frequency of a
# word followed by the word.
# Finds the word in the word.ndx file and returns the lines (i.e. its 
# occurrences)
#   Example usage: findstr.pl  < INP  > OUT
# (In case, the first thing in the line is not a natural number,
# treats it as the word to be searched.
# $Id$

#system ('rm fstr');
while (<>) {
  chop;
  ($freq, $word) = split (/\s+/);
  if ($freq =~ /[^0-9]+/) {
    #print STDERR "findstr.pl: Invalid freq value: $freq in $_\n"; 
    #print STDERR "  Treating it as the word to be searched.\n";
    $word = $freq;
  }
  system ("grep  \"$word\" \$CorpWordndx");
  #system ("grep  \"$word\" \$CorpWordndx |tee  -a fstr");
  last;
}

