#!/usr/bin/perl
# Show the corpus file given the word-irefs.
# $pat		- Pattern, if any, using which the input word-iref file was created.
#                 (Not implemented currently)
# Assumes that the value of shell var $Corp is
# the abbreviated corpus file. (setcorpvar.menu sets it correctly.)

# $Id$
local ($word, $irefs, $fname, @fileirefs, $cumfilenames, $nextind);
# open (TMPOUT, "| iref2name.cmd -f$wimapfile >showcorp.tmp") ||
#   die "Unable to open pipe to iref2name.cmd.\n";
while (<>) { # For each line containing word and its irefs
  if (/\s+/) {   # Actual separator between word and its irefs is "\s\s"
    $word = $`;   $irefs = $';   chop $irefs;
    @fileirefs = split (/\s+/, $irefs);
    $cumfilenames = '';
    for ($i=0;  $i <= $#fileirefs;  $i++) {
      $cumfilenames .=  ' ' . $ENV{Corp} . '/' . $fileirefs[$i];
    }

    open (SS, ">ss.do") ||
      print STDERR "Unable to open file ss.do: $!\n";
    print SS "#\n";
    print SS "vim -v +/\"$word\" $cumfilenames\n";
    print STDERR "Created ss.do. To see word in corpus, execute the following   :!ss.do\n";
    close SS;
    system ("chmod +x ss.do");

    # # system ('tty > tty.ans');
    # open (ANS, 'tty.ans') ||
    #   die "Unable to open input file tty.ans\n First execute the command:  tty > tty.ans\n";
    # $tty = <ANS>;   chop $tty; close ANS;

    # print STDERR "Initiating... vim -v +/\"$word\" $cumfilenames < $tty\n";
    # system ("vim -v +/\"$word\" $cumfilenames  < $tty");  ## Not working

    # NEXT 2 LINES ARE FOR TESTING.
    #print STDERR "(tmptty=\`tty\`; vim -v +/\"$word\" $cumfilenames < \$tmptty) ";
    #system      ("(tmptty=\`tty\`; vim -v +/\"$word\" $cumfilenames < \$tmptty) ");
    last;
     # print STDERR "Continue (y/n): ";
     # $userinput = <STDIN>;
     # chop ($userinput);
     # if ($userinput eq 'n') { return; }
  }
  else { print STDERR "Word followed by its irefs not found. Ignoring: $_\n"; }
} # end of while loop.
