#!/usr/bin/perl
#%COMMENT
# Searches for the given word in the input file,
# and aligns the lines so that the matched word occurs
# on the same coloumn in each line.
#   Example usage: algn_vert.cmd -pPAT < PAT.xtr > PAT.aln
#   Example usage: algn_vert.pl -pPAT  < PAT.xtr > PAT.aln
#%CMD TYPE MM
require('/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/cons_srchpat.pl');
$pat = 'test'; # Pattern at which the line has to be aligned.  #OPT -p
$strtype = '1'; # Type of pattern (1 String, 2 Word, 3 Prefix, 4 Suffix, 5 Use STEM_FILE.iref file to get patterns). (Default '1')  #OPT -t
$col = 35; # Column number at which the pattern will be placed. Default:35 #OPT -c
$nospace = 0;  # Do not put spaces before the pattern. Default: yes. #OPT -no sw1
$suff = '.aln'; # Suffix for default output file name. Default: '.aln'  #OPT -s
$stem_filename = ''; # Name of the stem filename ($stem_filename.iref will be looked up.) #OPT -N

local ($srchpat, $rightcount, $i, $spacecount);
local ($lenpat, $lenleft, $left, $right, $l, $m, $r);
$srchpat = &cons_srchpat;
if ($srchpat eq '') {
  die "algn_vert.pl: No string to align. align string = NIL.\n";
}
print STDERR "algn_vert.pl:DEBUG: align string = $srchpat,\n";

 #$lenpat = length ($pat);
 #$rightcount = 72 - $col - $lenpat - 2;
 #if ($nospace) { $rightcount += 2; }
while (<>) {
  chop;
  s/\t/ /g;
  if (/$srchpat/o) {
    $l = $`;  $m = $&;  $r = $';
    $matchpat = $m;  $lenpat = length($matchpat);
    $rightcount = 72 - $col - $lenpat - 2;
    if ($nospace) { $rightcount += 2; }
    $lenleft = length ($l);
    if ($lenleft >= $col) {
      $left = substr ($l, $lenleft - $col, $col); $spacecount = 0;
    }
    else { $left = $l; $spacecount = $col - $lenleft; }
    for ($i=1; $i <= $spacecount;  $i++) { print ' '; }
    $right = substr ($r, 0, $rightcount);
    #if ($matchpat =~ /\s$/) { $right = ' ' . $right; } 
    #if ($matchpat =~ /^\s/) { $left .= ' '; } 
     #print STDERR "DEBUG: lenleft= $lenleft, lenpat= $lenpat, lenright= $lenright,\n";
     #print STDERR $left, '  |', $matchpat, '|', $right, "\n";
    if ($nospace) { print $left, $matchpat, $right, "\n"; }
    else { print $left, '  ', $matchpat, $right, "\n"; }
  }
}

