#!/usr/bin/perl
# Extract sentences for the words in the input file.
#   xtr_w2s.pl  < list.wrd

$file_sample = 80;  # Number of files to be sampled out of all the
                    # files in which the word occurs.
$sent_sample = 100;  # Number of files to be sampled out of all the
open (OUT, ">x_w.tmp") ||
  print STDERR "Unable to open out file x_w.tmp: $!\n";
open (LOG, ">x_w.do") ||
  print STDERR "Unable to open out file x_w.do: $!\n";

print LOG  "#\n";
while (<>)  {
  chop;    $inword = $_;
  $cmd = 
    "echo \"---------------- $inword ----------\"  >> x_w.kwic.out\n"  .
    "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtriref.cmd -s\"$inword\" -t2 /usr4/corpus/bengaliorig/word.ndx > x_w.tmp.iref\n" .
    "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/iref2name.cmd  -f/usr4/corpus/bengaliorig/wi.nam  < x_w.tmp.iref > x_w.tmp.nam\n" .
    "/home/bharathi/PNJ1/usr3/sangal/tools/bin/rnd_sel.sh  $file_sample  x_w.tmp.nam > x_w.tmp.sel\n" .
    "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtr.cmd -p\"(\\s$inword\\s)|(^$inword\\s)\" -d' '  @x_w.tmp.sel  >x_w.tmp.xtr\n" .
    "/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/delnl.pl  < x_w.tmp.xtr  > x_w.tmp1.xtr\n" .
    "/home/bharathi/PNJ1/usr3/sangal/tools/bin/rnd_sel.sh  $sent_sample  x_w.tmp1.xtr > x_w.tmp2.xtr\n" .
    "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/kwic.cmd -p'$inword' -t2 < x_w.tmp2.xtr >> x_w.kwic.out\n" .
    "echo \"---------------- $inword ----------\"  >> x_w.snt.out\n"  .
    "cat   x_w.tmp2.xtr  >> x_w.snt.out\n\n" ;
  print LOG $cmd;
}
close (LOG);
system ("chmod +x x_w.do");
