#!/usr/bin/perl
# Merge frequency files.

# Merge the first 8l with the next 1 lakhs words, 
# then the newly created 9 lakhs words file with next 1lakh words, etc.
# Thus it produces a growing corpus, each is a superset of prev.
system ("cp w8.frq  gw8.frq");
for ($i=8; $i <= 29; $i += 1) { # All the subsets
  $n = $i + 1;
  $prog = '/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/frq_merge.sh';
  $res = system ("$prog gw$i.frq  w$n.frq > gw$n.frq");
  if ($res != 0) { 
    print STDERR "mk_merge_frq.pl: Program error. Loop $i: $!\n";
  }
}
