#!/usr/bin/perl
# Run to produce sizes of files used in different subsets of corpora .

# Run on Hindi corpora of different sizes (8lakhs, 9lakhs to 30 lakhs).
# Each larger set is a superset of the former.
for ($i=8; $i <= 30; $i += 1) { # All the subsets
  $path = '/home/bharathi/PNJ1/usr3/sangal/tools/src/corpsetup';
  $cmd = $path . '/lang_wc.cmd  @gwi' . $i . ".nam > gwc$i.lst  2> gwc$i.err";
    #print "mk_wc.pl: DEB Command: $cmd\n";
  $res = system ("$cmd");
  if ($res != 0) { 
    print STDERR "mk_wc.pl: Program error. Loop $i: $!\n";
  }
}
