#!/usr/bin/perl
#Input : a file of frequency & words.
#Output : a file with frequency pecentage of each word plus old informations.
#  Example usage:  cum_frq.pl  word.frq  > word.cum

$file_name=$ARGV[0];
open(IN, "$file_name") ||
  die "Unable to  open file: $file_name: $!\n";
$tot_cnt=0;
$cum_per=0;
while(<IN>) {
  @wrd_lst = split(/\t+|\s+/);
  $tot_cnt += $wrd_lst[0];
} 
close(IN);
open(IN, "$file_name") ||
  die "can't open file $file_name: $!\n";
while(<IN>) {
  @wrd_lst = split(/\t+|\s+/);
  $percent = $wrd_lst[0]*100/$tot_cnt;
  $cum_per += $percent;
  #print "PERCENT :$cum_per\n";
  print sprintf("%.2f% ", $cum_per);
  print $_;
} 


