#!/usr/bin/perl
#%COMMENT
# Performs wc on each of the files in the corpus
# $file_num	- Non local var. Initially 0. Incremented in each call.
# $line_cnt	- Non local var. Initially 0. Added to in each call.
# $word_cnt	- Non local var. Initially 0. Added to in each call.
# $byte_cnt	- Non local var. Initially 0. Added to in each call.
#%CMD TYPE M1

local ($lines, $words, $bytes, $name);
$file_num++;
$wc_ans = `wc $Finname`;
if ($file_num > 99)      { print $file_num, ' ', $wc_ans; }
elsif ($file_num > 9)  { print $file_num, '  ', $wc_ans; }
else                     { print $file_num, '   ', $wc_ans; }

if ($wc_ans =~ /^\s+/) { $wc_ans = $'; }
($lines, $words, $bytes, $name) = split (/\s+/, $wc_ans, 4);
#print STDERR "DEBUG: wc split: $lines, $words, $bytes, $name";
$line_cnt += $lines;
$word_cnt += $words;
$byte_cnt += $bytes;

print STDERR 'HAVE YOU MOVED THE FOLL. LINES TO END OF MAIN IN lang_wc.cmd', "\n";
print STDERR <<EOMOVE;
format WCFORMAT =
T   @###### @####### @######## ##TOTAL-LINES-WORDS-BYTES
  $line_cnt, $word_cnt, $byte_cnt
.
$~ = "WCFORMAT";   # Format to be used with 'write'
write ($outf);
EOMOVE

