#!/usr/bin/perl
# Cleans some common typing mistakes in the Punjabi corpus:
#   Example usage: wipunjcln.pl   < wi.ndx   > wi.ndx.2

while (<>) {
  s/\xd6/\xd5/g;  # Converts murdhanya S to S.  R -> S
  s/\xa1/\xa2/g;  # mAwrA Z -> mAwrA M
  s/\xaa/\xcf\xdb/g;  # q -> ri
  # s/\xea//g;  # remove the end-of-sentence KadI pAI # Put in punct mark cleaning in wicln.pl
  print;
}

