# Given a directory, recursively goes through it and prints all the
# directories found. (Works under DOS.)

&dir2dirs ($ARGV[0]);

sub dir2dirs {
  local ($dname) = @_; # Input is the name of a directory.
  local ($handle, $dir, $dirname, $fullname);
  print $dname, "\n";
  system ("dir $dname > $dname.tmp");
  open($handle, "$dname.tmp") || die "dir2dirs.pl: Unable to open $dname.tmp.\n";
  print "dir2dirs.pl debug: Opening file $dname.tmp\n";
  # $handle = DH;
  while (<$handle>) {
    chop;
    # print "dir2dirs.pl debug: Read line in file $dname.tmp:$_\n";
    if(!((/^[ \.]/) || (/^$/))) { # found a file or dir entry.
      $dir = substr ($_, 13, 5);
      if ($dir =~ /^\</) { #dir found.
        $dirname = substr($_, 0, 8);
        if ($dirname =~ /\s+$/) { $dirname = $`; }
        $fullname = $dname . '\\' . $dirname;
        # print "$fullname\n";
        print "dir2dirs debug: To recursively call dir2dirs with $fullname.\n";
        &dir2dirs ($fullname);
      }
    }
  }
  close ($handle);
}
1;
