#!/usr/bin/perl
# Gets sentences from the objectivisor output.
# Used to run the parser on the sentences.

$/ = 'Para/Sentence :';
while (<>) {
  # It is now positioned before the sentence.
  $/ = '-------';
  $_ = <>;
  # Sentence has been read now.
  chop; chop; chop; chop; chop; chop; chop; 
  if (/^\s*$/) { next; }    # Empty line
  if (/^\s+/) { $_ = $'; }  # Remove white space in front.
  s/\n/ /g;
  print $_, "\n";
  $/ = 'Para/Sentence :';
}
