#!/usr/local/perl/perl

# Prints each date and its day-of-week in a new line for a month
# Input arg: Day of week for the 1st of the month.
# Example usage:
#   calend Thu     # where Thu is the day of the week of 1st of month.

@day = (Mon, Tue, Wed, Thu, Fri, Sat, Sun);

# initialize the day-of-week for the first of the month.
for ($j=0; $j<=6; $j++) {
  if ($ARGV[0] eq $day[$j]) { $d = $j; last; }
}

# Generate each day on a new line.
for ($i=1; $i<=31; $i++) {
  if ($i <= 9) { print "\n  $i $day[$d] ::";}
  else { print "\n $i $day[$d] ::";}
  
  if ($d < 4) { 
    print "\n----------------------------------------------------------------------"; }
  elsif ($d == 4) { 
    print "\n======================================================================";}
  elsif ($d == 5) { 
    print "\n----------------------------------------------------------------------";}
  elsif ($d == 6) { $d = -1; 
    print "\n++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++";
    print "\n++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++";}
  $d++;
}
