#!/usr/bin/perl
# Copies the lines twice from input file to output file.
# cmd type one to one.

require("/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/dupline.pl");
require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/printusage.pl");

$parmlastpos = -1;
$lim = 60;
if ($ARGV[0] =~ /^-([0-9]+)/) { $parmlastpos = 0; $lim = $1; }

# Process the arguments in the command line then call dupl_line.
# 1. Can be used as a filter. OR
# 2. file args can be given instead of filters.

if ($#ARGV < 0) { # Call the program with stdin/stdout.
  &dupl_line(STDIN, STDOUT);
}
elsif (($#ARGV - $parmlastpos) <= 0) { 
  &dupl_line(STDIN, STDOUT);
}
elsif (($#ARGV - $parmlastpos) == 1) { # Only one arg given. Execute the command with arg and stdout.
  open (INFILE, "$ARGV[$#ARGV]") ||
     die "Unable to open file $ARGV[$#ARGV]\n" ;
  &dupl_line(INFILE, STDOUT);
  close (INFILE);
}
elsif (($#ARGV - $parmlastpos) == 2) { # Two args given. Execute the command with arg1 and arg2.
  open (INFILE, "$ARGV[$#ARGV - 1]") ||
    die "Unable to open input file $ARGV[$#ARGV - 1]\n" ;
  open (OUTFILE, ">$ARGV[$#ARGV]") || 
       die "Unable to open output file $ARGV[$#ARGV]\n" ;
  &dupl_line(INFILE, OUTFILE);
  close (OUTFILE);
  close (INFILE);
}
else { print STDERR "Too many arguments.\n"; }

