#!/usr/bin/perl
# Author: Rajeev Sangal,  January 1996.
# Encloses every occurrence of the given words
# by a pair of '$' in the file STDIN. (The words are given
# in the file encl.lst, one word per line.)
# Usage:  enclist.pl  <infile >outfile

open (LST, "encl.lst") || die "Unable to open file encl.lst\n";
$i = 0;
while (<LST>) { # Read in the words to be matched in an array @words.
  chop;  $words[$i] = $_;  $i++;
}

while (<STDIN>) {
  for ($j = 0; $j <= $#words;  $j++) {
    $word = $words[$j];
    s/(\W)$word(\W)/$1\$$word\$$2/g;
    s/^$word(\W)/\$$word\$$1/;
  }
  print;
}
