#!/usr/bin/perl
# Takes output of find command (i.e., names of files, one on each line)
# creates those directories in the names of files above,
# which do not exist.
#   Example usage: find2mkdirs.pl < files.nam  > dir.nam
while (<>) {
  chop;
  if (/\/[^\/]+$/) { # Identify the basefile name (without leading path)
    $dir = $`;   $bfilename = substr ($&, 1);
    #print STDERR "DEB: Dir:$dir,  File:$bfilename,\n";
    if ($dir ne '') { # dir name found
      if (!($found_dir{$dir})) { # dir not found earlier
        if (!(-e $dir)) { # dir does not already exist
          print STDERR "DEB: Creating dir ... $dir\n";
          $res = system ("mkdir -p $dir");
          if ($res) { 
            print STDERR "find2dirs.pl: Unable to create dir: $dir\n";
          }
        }
        #else { print STDERR "DEB: Dir already exists: $dir\n"; }
        $found_dir{$dir} = 1;
      }
      #else { print STDERR "DEB: Dir found earlier: $dir\n"; }
    }
  }
  else { print STDERR "find2dirs.pl: No dirname in: $_\n"; }
     # $dir = '';   $bfilename = $_;
}

