#! /usr/bin/perl
# Input is a file containing the output of dir command in dos.
# Sums up the size of files.
#   Example usage: fsizedos.pl <wc.sum

# dir command output in dos creates a problem for tht split command
# because for a file name without extension, the size is given by the
# 1st entry (counting from 0), rather than the 2nd.
$fsize = 0;
while (<>) {
  if (/^[^ ][^ ][^ ]/) {  # No opening spaces. To avoid file totals.
    $_ = substr ($_, 17);
    if (!(/^<DIR/)) {  # Ignore directory.
      if (/^\s+/) { $_ = $'; }  # Remove opening space.
      # if (/\s+$/) { $_ = $`; }  # Remove ending space.
      @restline = split (/\s+/, $_);
      $fsize += $restline[0];
    }
  }
}
print "$fsize bytes     total\n";

