#! /usr/bin/perl
# Totals the various sizes of files given the output of 'wc' command.
# If the first argument is given, it specifies a pattern that must
# occur in the file name.
# Usage: fsizewc.pl  "floppy9" <wc.sum

$sntcnt = 0;  $wrdcnt = 0;  $charcnt = 0;
while (<STDIN>) {
  if (/^\s+/) { $_ = $'; }  # Remove opening space.
  if (/\s+$/) { $_ = $`; }  # Remove ending space.
  @all = split(/\s+/);
  # print STDERR "DEB: $all[0]  $all[4]\n";
  if ($#ARGV >= 0) {
    if ($all[3] =~ /$ARGV[0]/) {  # Count only if given pattern found.
      $sntcnt += $all[0];
      $wrdcnt += $all[1];
      $charcnt += $all[2];
    }
  }
  else {
    $sntcnt += $all[0];
    $wrdcnt += $all[1];
    $charcnt += $all[2];
  }
}
print "$sntcnt\t$wrdcnt\t$charcnt\ttotal\n";

