require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/datecmp.pl");
 # require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/datechk.pl");
require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/stddate.pl");
# $cutoffdate  Passed on from the calling routine lsfiltdt.cmd
# $curdate     Passed on from the calling routine lsfiltdt.cmd
sub lsfiltdt {
  local ($fin, $fout) = @_;
  local ($day, $mon, $yr, $ford, $no, $name, $usr, $size, $m1, $d1, $time, $nmeford,  $ans, $val, $date);
  ($day, $mon, $yr) = split (/[\.\- ]/, $curdate);
   #print STDERR "current date:$day: :$mon: :$yr: \n";
  &stddate ($mon, $yr);
   #print STDERR "converted date:$day: :$mon: :$yr: \n";

  ($coffday, $coffmon, $coffyr) = split (/[\.\- ]/, $cutoffdate);
   #print STDERR "cutoff date:$coffday: :$coffmon: :$coffyr: \n";
  &stddate ($coffmon, $coffyr);
   #print STDERR "converted cutoff date:$coffday: :$coffmon: :$coffyr: \n";
  while (<$fin>) {
    if (!((/^$/) || (/^\.+/) || (/^\S+:$/) || (/^total/))) {
      ($ford, $no, $name, $usr, $size, $m1, $d1, $time, $nmeford) = split (/\s+/);
      # print STDERR "date in file: :$d1: :$m1: :$time: \n";
      &stddate ($m1, $yr); # year passed is dummy.
      # print STDERR "converted date: :$d1: :$m1: :$time: \n";
      #if ($ans > 0) { next; }
       if ($time =~ /:/) { # $time shows time not year.
         if ($m1 <= $mon) { $y1 = $yr; }
         elsif ($m1 == $mon) {
           if ($d1 < $day) { $y1 = $yr ; }
           else { $y1 = $yr - 1; }
         }
         else { $y1 = $yr - 1; }
       }
       else { $y1 = $time ;}
       $date = $d1.'-'.$m1.'-'.$y1;
       $cutoffdate = $coffday . '-' . $coffmon . '-' . $coffyr;
        # print STDERR ":$d1:  :$m1:  :$y1:\n";
       $val = &datecmp ($cutoffdate, $date);
        #print STDERR "lsfiltdt.pl debug: Date comparision: cut date=$cutoffdate: date=$date: val=:$val:\n";
        #$time = $y1;
       if ($val <= 0) { print $fout $_; }
    }
    else { print $fout $_; }
  }
}
1;
