# Called by names2cmds.cmd
# $front 	contains the string to be put at the beginning of every line.
# $tail 	contains the string to be put at the end of every line.
# $yescomment	if true, the comment lines should not be ignored. '#' should 
#		be removed, however.
sub names2cmds {
  ($fin, $fout) = @_;
  while (<$fin>) {
    chop;
    if (!(/^\s*\#/)) {  # not a comment line. do not ignore.
      print $fout $front, $_, $tail, "\n";
    }
    elsif ($yescomment) { # A comment but print it (removing #).
      print $fout $front, $', $tail, "\n";
    }
  }
}
1;
    
