#!/usr/local/perl/perl
# Lines in the input file are of the form:  
#   xx,yy-
#   anything else
# The former causes to be put n*xx blank spaces followed by n*(yy - xx) dashes.
# where n happens to be 3. The latter "anything else" is printed with 
# n*xx blank spaces as printed last time, followed by the text.
$n = 5;
$laststart = 0;
while (<>) {
  if (/^([0-9]*),([0-9]*-)/) {
     $start = $1;  $fin = $2;
     if ($fin < $len) { 
        print "Error in input: Start $start is more than finish $fin\n";
     }
     $_ = $';
     for ($i=0;$i<$n*$start; $i++) { print ' ';}
     for ($i;$i<$n*$fin; $i++) { print '-';}
     print "\n";
     $laststart = $start;
  }
  else { 
     for ($i=0;$i<$n*$laststart; $i++) { print ' ';}
     print ; 
  }
}
1;
