#!/usr/bin/perl
# Takes output listing of tar -tv command & produces the dir. names with path.
# For those dirs which exist, the names are prefixed with '#'.
while (<>) {
  $dirpath = '';
  chop;
  @dirt = split(/\\/);
  for ($i = 0; $i < $#dirt; $i++) {
    if ($i == 0) { $dirpath .=  $dirt[$i] ; }
    else { $dirpath .=   '\\' . $dirt[$i] ; }
    # print "tar2dirs.pl debug: value of $dirt[$i] is $dirname{$dirt[$i]}\n";
    if ($dirname{$dirpath} != 1) { # dir name found earlier.
      if (!(-e $dirpath)) { # dir. does not exist.
	print "$dirpath\n";
        $dirname{$dirpath} = 1;
        # print "tar2dirs.pl debug: entered $dirpath in ass-array.\n";
      }
      else { # dir exists already. Print # sign before dir name.
	print "\# $dirpath\n";
        $dirname{$dirpath} = 1;
        # print "tar2dirs.pl debug: entered $dirpath in ass-array.\n";
      }
    }
  } 		
}
