#!/usr/bin/perl
# Converts from /home/bharathi/PNJ1/usr3/sangal/tools/src/scrpt to /usr3/nisha/scrpt
# Renames the older file by putting '.rs' suffix. New file with 
# the same name has path for nisha.
#   Example usage: nisha_port.pl  FILE
# The above will convert paths in file named FILE. The old file will
# be renamed as FILE.rs, and the newer file will have the same name.

$^I = '.rs';
while (<>) {
  s#/home/bharathi/PNJ1/usr3/sangal/tools/src/scrpt#/usr3/nisha/scrpt#g;
  if (m#/sangal/#) {
    print STDERR "In $ARGV[0] a line containing sangal not converted. $_";
  }
  print;
}

