# Sets up the necessary language word frequency files from the corpus 
# for use by find_lang.pl
#   Example usage: find_lang_setup.sh
# Requires that the corpus is located on the machine in ~corpus.

cd /home/bharathi/PNJ1/usr3/sangal/tools/src/scrpt/lang_data
head -5000 ~corpus/punjabi/word.frq > f.tmp
cut -f2 -d' '  < f.tmp > word_pnj.5k

head -5000 ~corpus/hindi/word.frq > f.tmp
cut -f2 -d' '  < f.tmp > word_hnd.5k

head -5000 ~corpus/bengali/word.frq > f.tmp
cut -f2 -d' '  < f.tmp > word_bng.5k

head -5000 ~corpus/marathi/word.frq > f.tmp
cut -f2 -d' '  < f.tmp > word_mrt.5k

head -5000 ~corpus/oriya/word.frq > f.tmp
cut -f2 -d' '  < f.tmp > word_ory.5k

head -5000 ~corpus/telugu8/word.frq > f.tmp
cut -f2 -d' '  < f.tmp > word_tlg.5k

