# Selects and rearranges coloumns of topo34.txt and other databases from snomed
#   Example usage: c:\perl\perl  med_nam.pl  < topo34.txt > topo34.out
# Following is the format of the example topo34.txt database:
# "T-00250"	""	"02"	"Epithelial tissue, NOS"	""	""
# "T-00250"	""	"05"	"Epithelial"	""	""
# "T-00251"	""	"01"	"Epithelial cell, NOS"	""	""
# "T-00260"	""	"01"	"Squamous epithelium, NOS"	""	""
# # Fields in the above (separated by \t):
#    0          1        2       3                              4       5

open (STDERR, ">med_nam.err") ||
  die "Unable to open file med_nam.err: $!\n";
while (<>) {
  chop;
  s/"//g;
  @flds = split (/\t/);
  if ($flds[2] > 0) { print $flds[0], "     ", $flds[3], "\n"; }
   # if ($flds[3] =~ /^[0-9]/) { print $flds[0], "   ", $flds[3], "\n"; }
  else { print $flds[0], "   ", $flds[3], "\n"; }
}
