# Used to port the changes (since the last porting) to a machine.
#   Example usage:  archtools.sh  machine4
# The above will creeate a tar file of all those files in $HOME/tools 
# directory that have changed since the last porting to machine4. 
# If you are porting for the first time to machine4, move a file
# called machine4.date from somewhere, such that, the modification 
# date of this file is less than those of the files you want to port.
# The date will be used to indicate that all the files modified after
# this date will be ported.
# (Henceforth, it will create machine4.date file properly automatically
# by remembering the current porting.)
# All the files to be excluded can be specified by patterns in 
# exclude.rc file. For example, 
# /tmp/  - will exclude all the dirs whose name is 'tmp'.
# old/  - will exclude all the files/dirs whose names end with 'old'.

mv $1.tar $1.tar.old
/home/bharathi/PNJ1/usr3/sangal/tools/src/sysapp/findtools.sh $1
/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/exclude.pl < $1.tmp  > $1.files
curdir=`pwd`
/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/names2cmd.cmd -f"tar -cvf $curdir/$1.tar"      -l" > $curdir/$1.log"     $1.files
chmod +x $1.files.sh
(cd $HOME; $curdir/$1.files.sh)
chmod -x $1.files.sh
mv $1.date.old $1.date.old1
mv $1.date $1.date.old
mv $1.files.sh $1.date
