#!/usr/bin/perl
# Takes an ordinary file from corpus and "preprocesses"
#  it so that fmt program does not disturb the indenting.
# All lines in which there is indenting in the beginning
# a line with '\indent' is inserted followed by a new line. 
#
# After this  the fmt program can be run on the resulting file,
# after which corp_post.pl can be run to restore the things.

while (<>) {
  if (/^\s*$/) { print;  next; }
  if (/^\s+/) {
    $rest = $';
    print "\n", '\indent', "\n\n";
    print $rest;
  }
  else { print; }
}

