# Formats slides without disturbing bullets and indenting.
# (A bullet is '-' or '+' as the first non-white char in the line,
# indenting means white space in the beginning of a line.)
# 1. Any time there is a new bullet or change in indenting on a line, it 
# signals a line break, i.e., line is not merged with the previous lines.
# 2. Any indenting before a bullet or without a bullet is maintained.
# 3. A series of non-blank lines with the same indenting (and without
# bullets) are merged/wrapped around
# but maintaining the indenting of the first line.
# 4. Currently all bullets are changed to '+'. BUG.
#   Example usage: slidefmt.sh  42  abc.talk
# Use col width 42 for TimesRoman Bold 22pt True Type font.
# Use 28 lines for a transparency

/home/bharathi/PNJ1/usr3/sangal/tools/src/wordproc/slidepre.pl  < $2  > $2.tmp
fmt -$1 $2.tmp > $2.o.tmp
/home/bharathi/PNJ1/usr3/sangal/tools/src/wordproc/slidepost.pl  < $2.o.tmp  > $2.fmt
