#!/usr/bin/perl
#%COMMENT
# Creates a html file for the given text file.
#   Usage:  slide_html.pl  < a.txt  > a.html
# Author: Vikas Bansal, 31 Oct 1998
#%CMD TYPE 11

$gen_toc = 1;  # Generate table of contents. Default:1(yes) #OPT -notoc sw0
print "<HTML>\n";
print "<HEAD>\n";
print "<TITLE>       </TITLE>\n";
print '</HEAD>', "\n";
print "<BODY>\n";
print "<P>\n";

$s_count = 1;
print "<A NAME=\"SLIDE$s_count\"> ";
print "<P>\n";
print "<PRE>"; # maintains formatting of page
if ($gen_toc) {
  $TOC = "\n";
  $TOC .= "<P><A NAME=\"INDEX\">\n    -- INDEX -- \n<P>";
  $get_title = 1;
}
while (<>) {
  chop;
  if (/^-----/) {   # New slide starts.
    $s_prev = $s_count-1;
    $s_next = $s_count+1;
    print "</PRE>\n"; # maintains formatting of page 
    print "$s_count  <A HREF=\"#SLIDE$s_next\">NEXT-PAGE</A> \n"; 
    print "<A HREF=\"#SLIDE$s_prev\">PREVIOUS-PAGE</A> \n";
    if ($gen_toc) {
      print "<A HREF=\"#INDEX\">INDEX</A> \n";
    }
    print '</A>',"\n";    # print $_, '<BR>', "\n";
    $s_count++;
    print "<A NAME=\"SLIDE$s_count\"> ";
    print "<P>\n";
    print "<PRE>"; #maintains the formatting of page
    if ($gen_toc) { $get_title = 1; }
  }
  else { 
    print $_, "\n";
     #print $_, '<BR>', "\n";  # Removed <BR> after <PRE> was added.
    if ($gen_toc) { # add to the table of contents
      if ($get_title) {
        if ($_) { 
          $tmpcount = $s_count - 1;
          $TOC .= "<A HREF=\"#SLIDE$s_count\">$s_count $_</A><P>\n";
          $get_title = 0;
        }
      }
    } # endif gen_toc 
  }
}
# Generate for the last page
$s_prev = $s_count -1;
print "</PRE>"; # maintains formatting of page 
print "$s_count  <A HREF=\"#SLIDE$s_prev\">PREVIOUS-PAGE</A> \n";
if ($gen_toc) {
  print "<A HREF=\"#INDEX\">INDEX</A> \n";
}

if ($gen_toc) { print $TOC; }
print '</A>', "\n";
print '</BODY>',"\n";
print '</HTML>',"\n";
