#!/usr/local/perl/perl
# For a sequence of files whose names are given in $ARGV[0],
# generates page numbering.
# Page markers 'zz' are put at the beginning of each page in each file.
# Prints only the first line of each new page.
open (FNAMES, $ARGV[0]);
while (<FNAMES>) {
  chop;
  $fnm = $_;
  print "%-----------------",$fnm, "\n";
  open (IN, $fnm);
  while (<IN>) {
    if (/(.*)[zZ][zZ](.*)/) { 
      $count++;
      print $count, $_;
    }
  }
  close (IN);
}
close (FNAMES);
1;
