#!/usr/bin/perl
# Removes extra spaces and tabs only on those lines that do not have
# white space at the beginning of the line.
#   Example usage: rm_2sp.pl  < INFILE  > OUTFILE

while (<>) {
  if (/^\s+/) { print; next; }
  else       { s/[\t ]+/ /g; print; }
}
