#!/usr/local/perl/perl
# Removes figures from tex file. (For counting words.)
# Figures are enclosed in lines which contain \\begin{figure}
# and \\end{figure} both lines inclusive.
$copysw = 1;
while (<>) {
  # print "DEBUG: $_";
  if (/\\begin\{figure/) { $copysw = 0; }
  if (/\\begin\{picture/) { $copysw = 0; }
  elsif (/\\end\{figure/) { $copysw = 1; }
  elsif (/\\end\{picture/) { $copysw = 1; }
  elsif ($copysw) { print; }
}
1;
