#!/usr/bin/perl
# Remove (1) leading white space, (2) trailing white spaces, and
# (3) clean the second coloumn (before #), i.e., remove blank spaces
# in the second coloumn.

while (<>) {
  chop;
  if (/^\s+/) { $_ = $'; }
  if (/\s+$/) { $_ = $`; }
  if (/\s*#\s*/) {
    $match = $&; $left = $`;  $right = $';
  }
  else { $left = $_; $right = ''; }
  ($head, $meaning) = split (/\s+/, $left, 2);
  if ($meaning =~ /\s/) {
    #print STDERR "DEB: Removing space in meaning coloumn: $meaning\n";
    $meaning =~ s/\s+//g;
  }
  print "$head\t$meaning$match$right\n";
}
