#!/usr/bin/perl
# Input file is summary file is TOTAL.stat.

$known_acc = 0;
$wps_real_acc = 0;
$wps_sysuse_acc = 0;
$cnt = 0;
while (<STDIN>) {
  ($known, $percentsign, $wps_real, $real_sign, $wps_sysuse, $sysuse_sign, $filename) = split (/\s+/);
  if ($percentsign ne '%') {
    print "Line not in stat format: $_\n";
  }
  elsif ($real_sign ne 'wps(real)') {
    print "Line not in stat format: $_\n";
  }
  elsif ($sysuse_sign ne 'wps(sysuse)') {
    print "Line not in stat format: $_\n";
  }
  else {
       # print "DEB $known $wps\n";
    $known_acc += $known;
    $wps_real_acc += $wps_real;
    $wps_sysuse_acc += $wps_sysuse;
    $cnt++;
  }
}
$known_ave = $known_acc/$cnt;
$wps_real_ave = $wps_real_acc/$cnt;
$wps_sysuse_ave = $wps_sysuse_acc/$cnt;
print STDOUT sprintf ("Overall average:: %3d %%\t%6.2f wps(real)\t%6.2f wps(sysuse)\n", $known_ave, $wps_real_ave, $wps_sysuse_ave);  
  # print "DEB $known_acc, $known_ave, $wps_acc, $wps_ave\n";
