# Called by porttar.cmd. Variables $cutoffdate, $curdate should
# be set.
sub porttar {
  local ($fin, $fout) = @_;
  local ($f2, $f3, $f4);
  open ( OUT, ">$fin.tmp") ||
    die "porttar.pl: Unable to open output file $fin.tmp.\n";
  print OUT $fin, ":\n";
  close (OUT);
  system ("ls -ltR $fin >> $fin.tmp");
  system (`date  >date.tmp`);
  open (DATE, "date.tmp") ||
    die "porttar.pl: Unable to open input file date.tmp.\n";
  $date = <DATE>;
  close (DATE);
  print STDERR "porttar.pl: sys date: $date.\n";
  @items = split (/\s+/, $date);
  $curdate = $items[2] . '.' . $items[1] . '.' . $items[5];
  print STDERR "porttar.pl: Cur date: $curdate, cutoff date: $cutoffdate\n";
  $f2 = $fin . '2';
   #print STDERR "lsfiltdt.cmd -c'$cutoffdate'   -p'$curdate'  <  $fin.tmp  > $f2.tmp";
  system ("lsfiltdt.cmd -c'$cutoffdate'   -p'$curdate'  <  $fin.tmp  > $f2.tmp");
  $f3 = $fin . '3';
  $f4 = $fin . '4';
  system ("ls2names.pl  < $f2.tmp  > $f3.tmp");
  system ("args2cmd.cmd -f'tar -cvf $fout '   -l' '  $f3.tmp   $f4.tmp");
  system ("chmod +x $f4.tmp");
  # print STDERR "Created $f4.tmp. Execute it to create tar file.\n";
  system ("$f4.tmp");   # ready to run.
}
1;

