#!/usr/bin/perl
# Returns the list of paradigm types from the dictionary.
# A sample dictionary entry is:
#  "-dZ-","UNKN","-dZ-","-dZ-"/"-dZ-","d1"
#  "A-Xamaka","UNKN","vi","acAnaka-A-jA/A-Xamaka","d1"

while (<>) {
  if (/","/) {
    $_ = $';
    if (/","/) { print  $`, "\n";  next; }
  }
  print STDERR "Invalid dict format: $_";
}

