# Reads the dict file in Roman notation and puts it in ra notation.
#  dict_ri.sh < pdict  >pdict.ra
#
# Example input dictionary:
#  "ABA","BASA","nf","1.ABA/camaka/weja","d1"
#  "ABArI","UNKN","adj","1.ABArI","d1"
#  "ABAra","Gara","nm","1.ABAra","d1"

 #cut -f '1-2' -d ',' | /home/bharathi/PNJ1/usr3/sangal/bin/ri > d1_2.tmp

cat > dic_in.tmp
cut -f '1' -d ','  < dic_in.tmp                     > d1.tmp
cut -f '2' -d ',' < dic_in.tmp \
          | sed 's/UNKN/@UNKN/' | /home/bharathi/PNJ1/usr3/sangal/bin/ri  > d2.tmp
cut -f '3' -d ',' < dic_in.tmp                       > d3.tmp
cut -f '4' -d ',' < dic_in.tmp  | /home/bharathi/PNJ1/usr3/sangal/bin/ri   > d4.tmp
cut -f '5' -d ',' < dic_in.tmp                       > d5.tmp
paste -d',' d1.tmp d2.tmp d3.tmp d4.tmp d5.tmp
