#!/usr/bin/perl
# Reads a file of words in ISCII with a word on a line, 
# writes out to output file after suffixing each word with
# spaces and the word in roman notation.
#   Example usage: wrd_paste.pl   < 110.uw > 110.UW

# Make a copy of the STDIN input
open (OUTTMP, ">wrd.tmp") ||
  die "wrd_paste.pl: Unable to open file wrd.tmp: $!\n";
while (<>) {
  print OUTTMP;
}
close (OUTTMP);

system ("/home/bharathi/PNJ1/usr3/sangal/bin/i8-ra  < wrd.tmp  > wrd2.tmp");

#print STDERR "Finished running i8-ra\n";
open (IN1, "wrd.tmp") || print STDERR "Unable to open file wrd.tmp: $!\n";
open (IN2, "wrd2.tmp") || die "Unable to open file wrd2.tmp: $!\n";
format STDOUT =
@<<<<<<<<<<<<<<<<<<<<<<<<                                   @<<<<<<<<<<<<<<<<<<<<<<
$word1, $word2
.
while ($word1 = <IN1>) {
  chop $word1;
  $word2 = <IN2>; chop $word2;
  write;
}

