#!/usr/bin/perl
# Select the lines with the given pattern.
# Put the remaining in the output bucket.

open (IXA, ">IxA.a") || die "Unable to open IxA.a\n";
open (VAM, ">vAM.a") || die "Unable to open vAM.a\n";
open (AM, ">AM.a") || die "Unable to open AM.a\n";
open (GA, ">gA.a") || die "Unable to open gA.a\n";
 # open (MGA, ">MgA.a") || die "Unable to open MgA.a\n";
open (WA, ">wA.a") || die "Unable to open wA.a\n";
open (XA, ">xA.a") || die "Unable to open xA.a\n";
open (NA, ">NA.a") || die "Unable to open NA.a\n";
open (O, ">o.a") || die "Unable to open o.a\n";

open (RR, ">rem.a") || die "Unable to open rem.su\n";

while (<>) {
  if ( /(IxA|Ixe|IxI|IxIAM)$/ )  { print IXA; }  # tam=IxA
  elsif  ( /g[AIe]$/ ) { print GA; }        # tam=future
   # elsif  ( /[AIe]Mg[AIe]$/ ) { print MGA; }  # tam=future.
  elsif  ( /vAM$/ ) { print VAM; }  # number=plural for n, person=u for v
                                # for v: pl. OR sing. and uttam purush
  elsif  ( /AM$/ ) { print AM; }   # number=plural for n, person=u for v
  elsif  ( /w[AIe]$/ ) { print WA; } # tam=yA
  elsif  ( /x[AIe]$/ ) { print XA; } # tam=xA
  elsif  ( /N[AIea]$/ ) { print NA; } # tam=subj OR na_2 OR na
  elsif  ( /o$/ ) { print O; } # parsarg=8,tam=subj OR IMP
  else { print RR; }
}

