#!/usr/bin/perl
#%COMMENT
# Takes the given input file of blocks (each block containing similar 
# words and their attributes) and shows those blocks which are single
# entry each. (In other words, these words were not grouped.)
# Each line in input file is: word, TAB, attribute
#   Example usage: bl_single.pl < a.blk  > a_sngle.blk
#%CMD TYPE 11

$end_blk = "---\n";
$/ = $end_blk;
$len_sep = length ($/);
while (<>) { # Read a block at a time.
  if (/$end_blk$/) { # Remove the block end marker
    for ($i=1; $i <= $len_sep;  $i++) { chop; }  chop;
  }
  else { print STDERR "Warn: End of block not found: $_\n"; }
  $#rows = -1;
  @rows = split (/\n/);
    #print STDERR "DEB: //";  foreach $r (@rows) { print STDERR $r, '//'; }  print STDERR "\n";
  if (($#rows + 1) == 1) { print $_, "\n"; }
  #if (($#rows + 1) == 1) { print $_, "\n", $end_blk; }
}
