#!/usr/bin/perl
# Sorts each block on the attribute. (Each line contains word form and
# attribute.)
#   Example usage: bl_sort.pl < IN   > OUT

$end_blk = "---\n";
$/ = $end_blk;
$len_sep = length ($/);
while (<>) {
  for ($i=1; $i <= $len_sep;  $i++) { chop; }  chop;
  $#rows = -1;
  @rows = split (/\n/);
   #print "DEB: //";  foreach $r (@rows) { print $r, '//'; }  print "\n"; #DEBUG
  @sorted_rows = sort by_attr @rows;
   #print "DEB sorted: //";  foreach $r (@sorted_rows) { print $r, '//'; }  print "\n";  #DEBUG
  foreach $r (@sorted_rows) { print $r, "\n"; }
  print $end_blk;
}

# Compare attributes.
sub by_attr {
  local ($a1, $a2, $b1, $b2);
  ($a1, $a2) = split (/\s+/, $a);
  ($b1, $b2) = split (/\s+/, $b);
  ($a2 cmp $b2);
}
