# Inputs: 1. array @pat_str containg del-add strings,  
#         2. paradigm number (as an explicit argument)
# Returns the number of del-add strings that matched in the paradigm file name.
sub score_str_pdgm {
  local ($pdgm_num) = @_;
  local ($res, $score, $i);
  $score = 0;
  #print STDERR "DEBUG: Paradigm number: $pdgm_num\n";
  #print STDERR "DEBUG: BEGIN\n$pardgm[$pdgm_num]END\n";
  for ($i=0;  $i <= $#pat_str;  $i++) {
    if ($pardgm[$pdgm_num] =~ $pat_str[$i]) { 
      $score++;
      #print STDERR "DEBUG: Found a match for: $pat_str[$i]\n";
    }
    #else { print STDERR "DEBUG: No match for: $pat_str[$i]\n"; }
     #if ($pat_str[$i] =~ /^-/) { $pat_str[$i] = '\\' . $pat_str[$i]; }
     #$res = `grep  '$pat_str[$i]' $pdgm_file`; 
     #if ($res ne '') { $score++; }
  }
  return ($score);
}

# Same as above except it performs the search for root form
# assuming that the root has an extra vowel at the end compared
# to the prefix.
sub score_str_pdgm_r {
  local ($pdgm_num) = @_;
  local ($res, $score, $i);
  $score = 0;
  for ($i=0;  $i <= $#pat_str;  $i++) {
    if ($pdgm_r[$pdgm_num] =~ $pat_str_r[$i]) { $score++; }
     #if ($pat_str_r[$i] =~ /^-/) { $pat_str_r[$i] = '\\' . $pat_str_r[$i]; }
     #$res = `grep  '$pat_str_r[$i]' $pdgm_file`; 
     #if ($res ne '') { $score++; }
  }
  return ($score);
}
1;
