#!/usr/bin/perl
# Takes an input file consisting of a set of unknown words, 
# one on each line. Tries to form clusters of related words.
#   pfx_cluster.pl   TEST.wrd 
# (Similar to pfx_guess.pl.)

system ("pfx_histo.pl < $ARGV[0]  > $ARGV[0].1.tmp");

# Remove prefixes of size less than 3, and count less than 2.
system ("pfx_sel.cmd  -n2 < $ARGV[0].1.tmp  > $ARGV[0].2.tmp");

# Reverse sort the histogram based on prefix (and then count).
system ("sort -r +1 $ARGV[0].2.tmp  > $ARGV[0].3.tmp");

# Remove shorter prefixes with the same count as longer ones.
# '-lnone' means no other cutoff criterion is used.
system ("pfx_prune.cmd -lnone < $ARGV[0].3.tmp  > $ARGV[0].4.tmp");

# Reverse sort the histogram based on count (then prefix).
system ("sort -nr  $ARGV[0].4.tmp  > $ARGV[0].r.tmp");

# Now try out each one of the possible prefix generated from above.
open (ROOTS, "$ARGV[0].r.tmp") || 
  die "Unable to open file $ARGV[0].r.tmp: $!\n";
while (<ROOTS>) {
  chop;
  #system ("pdgm_deladd.cmd -r$_  <  $ARGV[0]  > $ARGV[0].5.tmp");
  $res = `pdgm_deladd.cmd -r$_  <  $ARGV[0]` ;
  @res_arr = split (/\n/);
  foreach $r (@res_arr) {
    $score{$res . 
