#!/usr/bin/perl
# Takes an expenditure statement as input, and produces
# summary information headwise, attribute wise, etc.
require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/sysapp/acc/datechk.pl");
require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/sysapp/acc/ldhead.pl");
#require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/sysapp/acc/ldshead.pl");
require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/sysapp/acc/ldattr.pl");
require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/sysapp/acc/headchk.pl");
require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/sysapp/acc/attrchk.pl");
#require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/sysapp/acc/sheadchk.pl");
while (<>) {
  if (/^\s*#/) { next; }
  if (/^\s*$/) { next; }
  $line_num = $.;
  chop;
  tr/[a-z]/[A-Z]/;
  @fields = split(/\s*\|\s*/); 
  if ($#fields != 9) { 
    print STDERR "Invalid number of fields in line $line_num:\n";
    print STDERR "$_\n";
  }
  ($refnum, $pay, $transnum, $date, $dateadj, $datefinal,
         $amt, $head, $attr, $desc) = @fields;
  #print STDERR "account.pl DEBUG: head=$head, canonical=$headsyn{$head},\n";
  $tothead{$headsyn{$head}} += $amt;
  $totattr{$attrsyn{$attr}} += $amt;
  if($shead ne '') {
    $totshead{$headsyn{$head} .'+'. $sheadsyn{$shead}} += $amt;
  }
  #print $head, $tothead{$head},"\n";
}
print "---- Head-wise ----\n";
$total = 0;
for ($i=0;  $i <= $head_cnt;  $i++)  {
  $key = $head_list[$i];
  print STDOUT sprintf ("%12s  %9.2f\n",  $key, $tothead{$key});
  $total += $tothead{$key};
}
print STDOUT sprintf ("TOTAL         %9.2f\n", $total);

# print "---- Subhead-wise ----\n";
# $total = 0;
# for ($i=0;  $i <= $shead_cnt;  $i++)  {
#   $key = $shead_list[$i];
#   print STDOUT sprintf ("%12s  %9.2f\n",  $key, $totshead{$key});
#   $total += $totshead{$key};
# }
# print STDOUT sprintf ("TOTAL         %9.2f\n", $total);

print "---- Language-wise ----\n";
$total = 0;
for ($i=0;  $i <= $attr_cnt;  $i++)  {
  $key = $attr_list[$i];
  print STDOUT sprintf ("%12s  %9.2f\n",  $key, $totattr{$key});
  $total += $totattr{$key};
}
print STDOUT sprintf ("TOTAL         %9.2f\n", $total);

