#!/usr/local/perl/perl
 
# Totals the marks of assignments and exams from a file.
# First three fields are student info. (eg. SN, Rollno, Name)
# The next three fields are marks. Tab is the separator of fields.
$hapos = 3; $midpos = 4; $endpos = 5;  # position of field
$endacc = 0; $midacc = 0;              # accumulate total for end,mid
while (<>) {
  @all = split(/\t+/);
  # print "DEBUG: $all[3]  $all[4]\n";
  $midacc =  $midacc + @all[$midpos];
  $endacc =  $endacc + @all[$endpos];
  # Weighted total with (weightage/MM): 20/50, 30/90, 50/165
  $tot = (2/5)*$all[$hapos] + (1/3)*$all[$midpos] + (10/33)*@all[$endpos];
  $tot = int($tot + .5);
  if ($all[2] =~ /\*/) { print "$tot \* $_";}  # If did a project
  else { print "$tot   $_";}
  # print "$all[0]\t$all[1]\t$all[2]\t$tot\t$all[$hapos]\t$all[$midpos]\t$all[$endpos]\n";
}
$midave = $midacc / 29;
$endave = $endacc / 21;
print "End Sem ave: $endave\t Mis Sem ave: $midave\n";
