#!/usr/bin/perl
#%COMMENT
# Calculates return on a recurring deposit (yearly) of 10000, 
# compounded per year for N years.
#%CMD TYPE 11

$n = 16;   # Number of years.  #OPT -y
$rate = 12.0;  # Percent interest rate. #OPT -r
$princ = 10000; # Recurring amount deposited yearly. #OPT -p
$comp = $princ;
for ($i=1;  $i<=$n;  $i++) {
  $int = $comp * $rate/100.0;
  $comp += $int + $princ;
}
print STDOUT sprintf ("Give amt=%7.0f,    rate=%3d  period=%3d,\n", 
       $comp, $rate, $n);
