# Show the corpus file given the word-irefs.
# $wimapfile - Name of the word-iref mapping file.
# $pat		- Pattern, if any, using which the input word-iref file $fin was created.
#                 (Not implemented currently)
# $Id$

sub showcorp {
  local ($fin, $fout) =  @_;
  local ($word, $irefs, @fileirefs, $cumfilenames, $nextind);
  # open (TMPOUT, "| iref2name.cmd -f$wimapfile >showcorp.tmp") ||
  #   die "Unable to open pipe to iref2name.cmd.\n";
  while (<$fin>) { # For each line containing word and its irefs
    if (/\s\s/) {
      $word = $`;  $irefs = $'; chop $irefs;
      @fileirefs = split (/\s/, $irefs);
      open (MAP, "$wimapfile") ||
        die "Unable to open input file $wimapfile.\n";
      $cumfilenames = '';
      $nextind = 0;
      while (<MAP>) {
        # print STDERR "DEB: $fileirefs[$nextind] =?= $_";
        if ($. == $fileirefs[$nextind]) { 
          chop;  $cumfilenames .= ' ' . $_;  
          if ($nextind >= $#fileirefs) { last; }
          else { $nextind++; }
        }
      }
      close MAP;
      if ($nextind < $#fileirefs) { 
        print STDERR "Fileiref $fileiref[$nextind] not found. File $wimapfile over.\n";
      }
      print STDERR "Initiating... vim -v +/\"$word \" $cumfilenames";
      # system ("vim -v +/\"$word \" $cumfilenames");
    }
    else { print STDERR "Word followed by its irefs not found: $_\n"; }
  } # end of while loop.
}
1;
