#!/usr/bin/perl
#%COMMENT
# Given a char and a file, goes through the file and returns 1
# if the given char is there in the file.
# (Returns 2 if there are less than 10 lines containing the chars.
#  This is to treat the file as a suspect. Spurious occurrences?)
#%CMD TYPE M1

$char = '';  # Char to be searched  #OPT -c
$limit = 10; # Threshold of count of occurrences of char.  #OPT -l

local ($cnt) = 0;
while (<>) {
  if (/$char/o) {
    $cnt++;
    if ($cnt >= $limit) { last; }
  }
}
if ($cnt >= $limit) { $res =  1; }
elsif ($cnt == 0) { $res =  0; }
else { $res =  2; }

print $Finname, ' ', $res, "\n";

