#---------------------------------------------------------
#  User input over. Now begin processing.
#---------------------------------------------------------
# Process the inputs obtained from the user interactively
# by srchroot.menu program and then call the eXTRact program.

require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/ldcorptab.pl");
#require ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/filter_corp.pl");

# Prepare to call xtr.cmd.
&ldcorptab;  # Load the table giving corpus format.
$found = -1;
for ($i=0;  $i <= $#langtab;  $i++) {
  # print STDERR "DEBUG: lang: $langtab[$i], status: $origtab[$i].\n";
  if ($lst_lang[$lang - 1] eq $langtab[$i]) {
    if ($lst_orig[$orig - 1] eq $origtab[$i]) { $found = $i;  last; }
  }
}
if ($found == -1) { die "$lst_orig[$orig - 1] corpus for language $lst_lang[$lang - 1] not found.\n"; }

$convstr = $str;  # Default: convstr same as str.
$scrptval = $lst_inp_scrpt[$inp_scrpt - 1];
if ($scrptval ne $scrpttab[$found]) { # Convert to approp script notat
  open (TMPOUT, ">srch.tmp") ||
    die "Unable to open out file srch.tmp\n";
  print TMPOUT  $str, "\n";
  close (TMPOUT);
  system ("/home/bharathi/PNJ1/usr3/sangal/bin/$scrptval-$scrpttab[$found] < srch.tmp  > srch.tmp.$scrpttab[$found]");
  open (TMPIN, "srch.tmp.$scrpttab[$found]") ||
    die "Unable to open input file srch.tmp.$scrpttab[$found]\n";
  $convstr = <TMPIN>; chop $convstr;
  close (TMPIN);
}

# Try to create the output file name from the string name.
if ($scrptval eq 'ra') {  
  $str_ra = $str; $outfilename = $str;  $outfilename =~ s/ //g;
}
elsif ($scrpttab[$found] eq 'ra') { 
  $str_ra = $convstr; $outfilename = $convstr;  $outfilename =~ s/ //g;
}
else {
  open (TMPOUT, ">srch.tmp") ||
    die "Unable to open out file srch.tmp: $!\n";
  print TMPOUT  $str, "\n";
  close (TMPOUT);
  system ("/home/bharathi/PNJ1/usr3/sangal/bin/$scrptval-ra < srch.tmp  > srch.tmp.ra");
  open (TMPIN, "srch.tmp.ra") ||
    die "Unable to open input file srch.tmp.ra: $!\n";
  $str_ra = <TMPIN>; chop $str_ra;
  $outfilename = $str_ra; $outfilename =~ s/ //g;
  close (TMPIN);
}

#   # Get the filters to be used based on subject.
#   if ($subj == 1) { $subj_filter = ''; }  # All subjects.
#   else {
#     system ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/filter_corp.pl $subj_filter <  $outfilename.iref > $outfilename.iref2");
#   }

## Choose filter for cleaning the corpus files, on the fly.
#if ($clean == 0)  { $filter_clean = ''; }
#elsif ($clean ==1) { 
#  $filter_clean = '/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/j_word.pl ';
#}

# Get the inflected forms of the given root and their occurrences in corpus.
if ($strtype == 5) {
  $res = system ("grep \"$convstr\" $dirtab[$found]\/root.ndx > infl_w.tmp");
  if ($res != 0) {
    print STDERR "Unable to get inflected words for $convstr\n";
  }
  else {
    $infl_wrds = `cat infl_w.tmp`;  chop ($infl_wrds);
    @infl_wrds_arr = split (/\s+/, $infl_wrds);
    if ($#infl_wrds_arr <= 0) {
      die "No inflected words found for root: $convstr\n";
    }
    open (INFLWRD, ">$outfilename.infl") ||
      die "Unable to open out file $outfilename.infl: $!\n";
    for ($k=1;  $k <= $#infl_wrds_arr;  $k++) {  # Leave out the first elem. of the array, contains the root itself.
      print INFLWRD '^', $infl_wrds_arr[$k], "\n";
    }
    close (INFLWRD);
  }
}

if ($fground == '1') { $trail = '>' . $outfilename . '.xtr'; }
elsif ($fground == '2') { $trail = '| tee ' . $outfilename . '.xtr'; }
elsif ($fground == '3') { $trail = '>' . $outfilename . '.xtr'; } # Changed from '.xtr &'
else { print STDERR "srch.menu: Illegal fground value $fground.\n"; }

#open (RC, ">.xtrrc") ||
#   print STDERR "Unable to open output file .xtrrc. May affect choice of end of sentence delimiter.\n";
#print RC '-d', $eostab[$found], "\n";
#print RC '-p', $str, "\n";
#close RC;

system ("echo \"    # The following was executed on `date` \" >> srch.log");
open (LOG,  ">>srch.log") ||
   print STDERR "Unable to open file srch.log: $!. Ignoring.\n";
open (DO,  ">srch.do") ||
   print STDERR "Unable to open file srch.do: $!. Ignoring.\n";
$wordndx = $dirtab[$found] . '/' . $witab[$found];
if (-e $wordndx) {
  if ($fground == 3) { $ending = ' &'; } else { $ending = ''; }
  if ($strtype == 5) { # Root given for searching. Use inflected words.
    print STDERR "Initiating... grep  -f $outfilename.infl $wordndx > $outfilename.iref", "\n";
    $res = system ("grep  -f $outfilename.infl $wordndx > $outfilename.iref");
    print LOG "                 grep  -f $outfilename.infl $wordndx > $outfilename.iref", "\n";
    if ($res != 0) {
      die "Unable to get occurrences of inflected words for $convstr\n";
    }
  }
  else {
    print STDERR "Initiating... /home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtriref.cmd -s\"$convstr\" -t$strtype $dirtab[$found]\/$witab[$found] > $outfilename.iref\n";
    system                    ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtriref.cmd -s\"$convstr\" -t$strtype $dirtab[$found]\/$witab[$found] > $outfilename.iref $ending");
    print LOG                  "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtriref.cmd -s\"$convstr\" -t$strtype $dirtab[$found]\/$witab[$found] > $outfilename.iref\n";
  }
  # system ("filter_subj.pl  

# CHANGE BELOW TO ABBR NAMES USING: $abbrdirtab[$found]:
  ## system      ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/iref2name.cmd  -f$dirtab[$found]/$namestab[$found]  < $outfilename.iref > $outfilename.nam");
  print DO        "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/iref2name.cmd  -f$dirtab[$found]/$namestab[$found] < $outfilename.iref > $outfilename.nam\n";
  print DO "echo \"/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/iref2name.cmd  -f$dirtab[$found]/$namestab[$found] < $outfilename.iref > $outfilename.nam\" >> srch.log\n";

  print DO "echo               \"Initiating... xtr.cmd -p\"$convstr\" -t$strtype -d$eostab[$found] -N$outfilename -c$clean -s$outfilename.src \@$outfilename.nam  $trail\" \n";
  print DO        "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtr.cmd -p\"$convstr\" -t$strtype -d$eostab[$found] -N$outfilename -c$clean -s$outfilename.src \@$outfilename.nam  $trail\n";
  print DO "echo \"/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtr.cmd -p\\\"$convstr\\\" -t$strtype -d$eostab[$found] -N$outfilename -c$clean -s$outfilename.src \@$outfilename.nam  $trail\" >> srch.log\n";
#  print DO "echo               \"Initiating... xtr.cmd -p\"$convstr\" -t$strtype -d$eostab[$found] -c$clean -s$outfilename.src \@$outfilename.nam  $trail\" \n";
#  print DO        "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtr.cmd -p\"$convstr\" -t$strtype -d$eostab[$found] -c$clean -s$outfilename.src \@$outfilename.nam  $trail\n";
#  print DO "echo \"/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtr.cmd -p\\\"$convstr\\\" -t$strtype -d$eostab[$found]  -c$clean -s$outfilename.src \@$outfilename.nam  $trail\" >> srch.log\n";

  print DO  "echo             \"Initiating...  algn_vert.cmd -p\"$convstr\" -t$strtype -N$outfilename < $outfilename.xtr > $outfilename.aln\" \n";
  print DO        "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/algn_vert.cmd -p\"$convstr\" -t$strtype -N$outfilename < $outfilename.xtr > $outfilename.aln\n";
  print DO "echo \"/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/algn_vert.cmd -p\"$convstr\" -t$strtype -N$outfilename < $outfilename.xtr > $outfilename.aln\" >> srch.log\n";
  print DO "/home/bharathi/PNJ1/usr3/sangal/bin/$scrpttab[$found]-ra < $outfilename.iref > $outfilename-ra.iref\n";
  print DO "/home/bharathi/PNJ1/usr3/sangal/bin/$scrpttab[$found]-ra < $outfilename.xtr  | /home/bharathi/PNJ1/usr3/sangal/tools/src/corp/algn_vert.cmd -p\"$str_ra\" -t$strtype  -N$outfilename-ra > $outfilename.aln.ra\n";
  close (DO);
  system ("chmod +x srch.do");
  print STDERR "To SEE and EDIT the strings found, open the file: $outfilename.iref.\n";
  print STDERR "EXECUTE srch.do to extract sentences from corpus.\n"; 
  if ($fground == 3) {
    print STDERR "But wait for creation of srch.do first. ('ps' command shows status)\n";
  }
}
else { # word.ndx file does not exist. Use the slower method of search.
  print STDERR "File $dirtab[$found]\/$witab[$found] for word index not found.\n",
               "Slower method will be used for extracting the pattern. (^C to abort)\n";
  if ($strtype == 5) { # Root given for searching. Use inflected words.
    die "ERROR: Not implemented root search when no word.ndx\n";
          # CHANGE THESE LINES IN THE IF THEN CLAUSE
    print STDERR "Initiating... grep  -f $outfilename.infl $dirtab[$found]\/$wordndx[$found] > $outfilename.iref", "\n";
    $res = system ("grep  -f $outfilename.infl $dirtab[$found]\/$wordndx[$found] > $outfilename.iref");
    print LOG "                 grep  -f $outfilename.infl $dirtab[$found]\/$wordndx[$found] > $outfilename.iref", "\n";
    if ($res != 0) {
      die "Unable to get occurrences of inflected words for $convstr\n";
    }
  }
  else {
    print STDERR            "Initiating... xtr.cmd -p\"$convstr\" -t$strtype -d$eostab[$found] -N$outfilename -c$clean -s$outfilename.src  \@$dirtab[$found]\/$namestab[$found] $trail\"\n";
    system   ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtr.cmd -p\"$convstr\" -t$strtype -d$eostab[$found] -N$outfilename  -c$clean -s$outfilename.src \@$dirtab[$found]\/$namestab[$found] $trail");
    print LOG "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/xtr.cmd -p\"$convstr\" -t$strtype -d$eostab[$found] -N$outfilename  -c$clean -s$outfilename.src \@$dirtab[$found]\/$namestab[$found] $trail\"\n";
  }
  system ("echo           \"Initiating...  algn_vert.cmd -p\"$convstr\" -t$strtype -N$outfilename < $outfilename.xtr > $outfilename.aln\"");
  system (    "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/algn_vert.cmd -p\"$convstr\" -t$strtype -N$outfilename < $outfilename.xtr > $outfilename.aln");
  print LOG   "/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/algn_vert.cmd -p\"$convstr\" -t$strtype -N$outfilename < $outfilename.xtr > $outfilename.aln\n";
  system ("/home/bharathi/PNJ1/usr3/sangal/bin/$scrpttab[$found]-ra < $outfilename.iref > $outfilename-ra.iref");
  system ("/home/bharathi/PNJ1/usr3/sangal/bin/$scrpttab[$found]-ra < $outfilename.xtr  | /home/bharathi/PNJ1/usr3/sangal/tools/src/corp/algn_vert.cmd -p\"$str_ra\" -t$strtype  -N$outfilename-ra > $outfilename.aln.ra");
}
close (LOG);

1;
