#!/usr/bin/perl
# Run to produce low frquency words and coverage due to them.

# Run on a corpora of different sizes (starting from $c_start lakh words,
# and so on for increments of 1 lakhs additional words).
# Each larger set is a superset of the former.
$c_start = $ENV{corp_start};
$c_size = $ENV{corp_size};
$path = '/home/bharathi/PNJ1/usr3/sangal/tools/src/corpsetup';
for ($i=$c_start; $i <= $c_size; $i += 1) { # All the subsets
  @cmd = ( "$path/low_frq.cmd  gw$i.frq | $path/cov_low_frq.pl > gw$i.lpcov");
         # "$path/low_frq.cmd   w$i.frq | $path/cov_low_frq.pl > w$i.lpcov"
   # @cmd = ( "$path/low_frq.cmd      gw$i.frq   > gw$i.lcov",
   #          "$path/cov_low_frq.pl < gw$i.lcov  > gw$i.lpcov",
   #          "$path/low_frq.cmd      w$i.frq    > w$i.lcov",
   #          "$path/cov_low_frq.pl < w$i.lcov   > w$i.lpcov");
  foreach $c (@cmd) {
    $res = system ($c);
    if ($res != 0) { 
      print STDERR "mk_cov_low.pl: Program error in executing: $c\n";
    }
  }
}
