#!/usr/bin/perl
# Run frequency program for different sizes of corpora.

# Run on Telugu corpora of different sizes (first $c_start lakhs, then
# 1 lakhs to $c_count lakhs).

# Uncomment to run.
$path='/home/bharathi/PNJ1/usr3/sangal/tools/src/corp_cover';
$c_start = $ENV{corp_start};
$c_size = $ENV{corp_size};
for ($i=$c_start+1; $i <= $c_size; $i++) {  # All parts
  $res = system ("$path/mk_frq.sh $i");
  if ($res != 0) { 
    print STDERR "mk_frq_all.pl: Program error. Loop $i: $!\n";
  }
}
# Having done the smaller ones, now do the bigger one.
$i = $c_start;
$res = system ("$path/mk_frq.sh $i");
if ($res != 0) { 
  print STDERR "mk_frq_all.pl: Program error. Loop $i: $!\n";
}
