#!/usr/bin/perl
# Cleans some common typing mistakes in the Punjabi corpus:
#   Example usage: corppunjcln.pl   < INFILE   > OUTFILE

while (<>) {
  s/\xd6/\xd5/g;  # Converts murdhanya S to S. In iit notation:  R -> S
  s/\xa1/\xa2/g;  # chandrabindu to bindu. mAwrA z -> mAwrA M
  s/\xaa/\xcf\xdb/g;  # q -> ri
  print;
}

