# Makes directory with abbreviated names for the corpus file.
# It will use numbers as file names, same as that used in word index.
# 
# $lang - Language to be searched for
# $orig - Type of corpus (original, cleaned etc.)

require ('/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/ldcorptab.pl');
sub mkabbr {
  local ($fin, $fout) = @_;
  local (@langtab, @origtab, @dirtab, @namestab, @scrpttab, @eostab, @witab, @abbrdirtab, $found);
  &ldcorptab;  # Load the table giving corpus format.
  $found = -1;
  for ($i=0;  $i <= $#langtab;  $i++) {
    # print STDERR "DEBUG: lang: $langtab[$i], status: $origtab[$i].\n";
    if ($lang eq $langtab[$i]) {
      if ($orig eq $origtab[$i]) { $found = $i;  last; }
    }
  }
  if ($found == -1) { die "$orig corpus for language $lang not found.\n"; }

  $abbrdirname =  $abbrdirtab[$found];
  $res = system ("mkdir $abbrdirname");
  if ($res != 0) { die "Unable to create directory: $abbrdirname\n"; }

  $res = system ("appnd_num.pl < $dirtab[$found]/$namestab[$found]  > mkabbr.tmp ");
  if ($res != 0) { die "Unable to create mkabbr.tmp\n"; }
  $res = system ("echo \"#\" > $abbrdirname/mkabbr.sh");
  $res = system ("names2cmds.cmd -f'ln -s '   mkabbr.tmp  >> $abbrdirname/mkabbr.sh");
  if ($res != 0) { die "Unable to create $abbrdirname/mkabbr.sh\n"; }
  system ("chmod +x $abbrdirname/mkabbr.sh");
  system ("echo 'ln -s $dirtab[$found]/$witab[$found]      $abbrdirname/word.ndx' >> $abbrdirname/mkabbr.sh");
  system ("echo 'ln -s $dirtab[$found]/$wordfrqtab[$found] $abbrdirname/word.frq' >> $abbrdirname/mkabbr.sh");
  system ("echo 'ln -s $dirtab[$found]/$namestab[$found] $abbrdirname/wi.nam' >> $abbrdirname/mkabbr.sh");

      #  system ('pwd > mkabbr.ans');
      #  open (ANS, 'mkabbr.ans') ||
      #    die "Unable to open file mkabbr.ans\n";
      #  $curdir = <ANS>;
      #  close ANS;
      #  chop $curdir;

  print STDERR "Created $abbrdirname/mkabbr.sh. Execute it to create necy files in it.\n";
}
1;
