#!/usr/bin/perl
#%COMMENT
# Produces ngrams of a given
# input file which contains names of files (usually subject wise).
#   Example usage:  ngram_mk_files.sh -s5 < ASTRO.NAM   > ASTRO.ng3
# The above generates sequences of words of length 5.
#%CMD TYPE M1

$corp_dir = '.'; # Directory in which files reside (default .). #OPT -d
$ngram_size = 3;  # Size of ngram (default 3). #OPT -s

while (<>) {
  chop;
  if (/^$/) { next; }
  if (/^\s*#/) { next; }
  if (/ /) { $filename = $corp_dir . '/' . $`; } 
  else     { $filename = $corp_dir . '/' . $_; }
  system ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corpsetup/ngram_seq_mk.sh $ngram_size < $filename > ngr_seq.tmp;");
}
system ("/home/bharathi/PNJ1/usr3/sangal/tools/src/corp/frq_cnt.sh < ngr_seq.tmp;");
