#!/usr/bin/perl
#%COMMENT
# Takes a file containing text and prints those words which are
# reduplicated. A word which is reduplicated is printed as many times
# as it is reduplicated.
# Assumes that punctuation marks have been separated in the input file,
# and the end of sentence markers <.> have been inserted.
#   Example usage: redupl.pl   < TEXTFILE  > FRQFILE
#%CMD TYPE M1

$/ = '<.>';
while (<>) {
  chop; chop; chop;
  if (/^\s+/) { $_ = $'; }
  if (/\s+$/) { $_ = $`; }
  @words = split (/[\",:;\'`\?><\]\[}{\)\(=!@#%&\*\.\xea\s]+/);
     #NOT USED:-> '[",:;\'`\?\]\[}{\)\(=!@#%&\*\s]';
  for ($i=0;  $i <= ($#words - 1);  $i++) {
    if ($words[$i] eq $words[$i + 1]) { print $words[$i], "\n"; }
  }
}
