#!/usr/bin/perl
# Remove those words from the input frequency file that are listed
# in the argument file.
#   Example usage:  rm_wlist.pl WORDLIST < INFILE  > OUTFILE
# The input frequency file consists of list of : frequency, word

open (WLIST, $ARGV[0]) ||
  die "Unable to open file $ARGV[0]: $!\n";
while (<WLIST>) { chop; $wlist{$_} = 1; }
close (WLIST);

while (<STDIN>) {
  chop;
  ($frq, $word, $rest) = split (/ /, $_, 3);
  if ($rest ne '') { 
    print STDERR 
      "rm_wlist.pl: Input line is not in freq-word format:$_\n";
  }
  if (!($wlist{$word})) { print $_, "\n"; }
}
  
