#
# Create a set of subject info files for a corpus.
# That is, create a file for each subject, containing
# file numbers of those corpus files that pertain to
# that subject (using header informaton in each corpus file).
#
# Input needed is the name of the directory containing
# the desired corpus.
# The corpus directory should contain a headers file: Headers.lst. 
# Subj and classification no. file should be in /usr4/corpus directory.
#   Example usage:  subj_cr.sh  /usr4/corpus/telugu8

cd $1
mkdir Subjects
cd Subjects
cp ../Headers.lst .
cp /usr4/corpus/Subj.comp .
 # Now create the subj files.
subj_cr.cmd -fHeaders.lst Subj.comp > Subj_files.lst
cd ..

#wc *.nam > Subjall.lst
# # get files of zero size.
#grep ' 0 ' Subjall.lst | /home/bharathi/PNJ1/usr3/sangal/tools/src/etc/cutlast.pl > Delete.lst
#/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/names2cmd.cmd  -f'rm  '  Delete.lst
#chmod +x Delete.lst.sh
# #echo "Created Delete.lst.sh file. Execute it to delete empty files."
#Delete.lst.sh
#rm Delete.lst.sh
# # Create a summary of subj files in the main dir
##grep -v ' 0 ' Subjall.lst > Subj.wc
##/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/cutwc.pl Subj.wc > ../Subj.lst

