#!/usr/bin/perl
# Extract words with '~~' from the input file with words (with ~~)
# followed by file-irefs. And creates three output files:
#  tilde.full, tilde.pre, tilde.post
#   Example usage: tilde_parts.pl  < tilde.iref 

open (FFULL, ">tilde.full") ||
  die "Unable to open file tilde.full.\n";
open (FPRE, ">tilde.pre") ||
  die "Unable to open file tilde.pre.\n";
open (FPOST, ">tilde.post") ||
  die "Unable to open file tilde.post.\n";

while (<>) {
  if (/  /) {
    $word = $`;   $irefno = $';  chop ($irefno);
    if ($word =~ /~~/) { 
      print FFULL;
      print FPRE  $`, '~  ', $irefno, "\n";
      print FPOST  '~', $', '  ', $irefno, "\n";
    }
    else { print STDERR "Two tilde not found: $_"; }
  }
  else { print STDERR "Spaces not found: $_"; }
}
