#!/usr/bin/perl
# Takes a file of file names and generates commands
# for extracting word-irefs in units of NN files each.
# Also generates the files needed to run the command file.
#
# This splitting is necessary to speed up the compilation.
# The split files are merged later.

$num_files = 30;   # NN
$prev_limit = 0;
$next_limit = $num_files;
print STDERR "wisplit.pl: Assuming a chunk of files of $num_files each.\n";
open (WISH, ">wi.sh") ||
  die "Unable to open file wi.sh\n";
open (WISORT, ">wisort.sh") ||
  die "Unable to open file wisort.sh\n";
open (WINAM, ">wi$next_limit.nam") ||
  die "Unable to open file wi$next_limit.nam\n";
$last_line_insort = 'sort -m';

while (<>) {
  print WINAM;
  if ($. == $next_limit) {
    if ($prev_limit == 0) {
      print WISH "/usr/bin/time",
         " /home/bharathi/PNJ1/usr3/sangal/tools/src/corpsetup/irefmk.cmd",
         " -fwi$next_limit -nodbm        \@wi$next_limit.nam",
         " >wi$next_limit.log 2>&1\n";
    }
    else {
      print WISH "/usr/bin/time",
        " /home/bharathi/PNJ1/usr3/sangal/tools/src/corpsetup/irefmk.cmd",
        " -fwi$next_limit -nodbm  -n$prev_limit \@wi$next_limit.nam >wi$next_limit.log 2>&1\n";
    }
    print WISORT "echo \"-------- Sorting .ndx file ------\" >> wi$next_limit.log\n/usr/bin/time  sort < wi$next_limit.ndx > wi$next_limit.ndx.sort 2>> wi$next_limit.log\n";
    $last_line_insort .= ' wi' . $next_limit . '.ndx.sort';
    $prev_limit = $next_limit;
    $next_limit += $num_files;
    close WINAM;
    open (WINAM, ">wi$next_limit.nam") ||
      die "Unable to open file wi$next_limit.nam\n";
  }
}
if ($prev_limit == 0) {
  print WISH "/usr/bin/time",
    " /home/bharathi/PNJ1/usr3/sangal/tools/src/corpsetup/irefmk.cmd",
    " -fwi$next_limit -nodbm        \@wi$next_limit.nam",
    " >wi$next_limit.log 2>&1\n";
}
else {
  print WISH "/usr/bin/time",
    " /home/bharathi/PNJ1/usr3/sangal/tools/src/corpsetup/irefmk.cmd",
    " -fwi$next_limit -nodbm  -n$prev_limit \@wi$next_limit.nam >wi$next_limit.log 2>&1\n";
}
print WISORT "echo \"-------- Sorting .ndx file ------\" >> wi$next_limit.log\n/usr/bin/time  sort < wi$next_limit.ndx > wi$next_limit.ndx.sort 2>> wi$next_limit.log\n";
$last_line_insort .= ' wi' . $next_limit . '.ndx.sort';
close WINAM;
close WISH;
$last_line_insort .=  '  > word.ndx.sort 2>> word.log';
print WISORT $last_line_insort;
close WISORT;

