#!/usr/bin/perl
# Finds out today's date and looks at:
#   $HOME/calendar and $HOME/TODO files
# to issue reminders.

$date = `date`;    #Example format:  Sat Jan  4 12:01:07 GMT+0500 1997
($wkday, $month, $moday, $rest) = split (/\s+/, $date, 4);
   #print STDERR "calndr.pl DEBUG: wkday:$wkday, month:$month, month-day:$moday, rest:$rest\n";
#if (length($moday)  == 1) { $moday = '0' . $moday; }
if ($moday =~ /^0+/) { 
  $moday = $'; 
  #print STDERR 'DEBUG: ',$moday, "\n";
}

$HOME = $ENV{HOME};
   #print STDERR "DEBUG: Home:$HOME\n";
if (-e "$HOME/calendar") {
  #system ("egrep -i \"$month +$moday[ \-]\" $HOME/calendar");
  system ("egrep -i \"$month([a-z]*) +0*$moday([^0-9]|\$)\" $HOME/calendar");
}
if (-e "$HOME/TODO") {
  #system ("egrep -i \"$month +$moday[ \-]\" $HOME/TODO");
  system ("egrep -i \"$month([a-z]*) +0*$moday([^0-9]|\$)\" $HOME/TODO");
}

