#!/usr/bin/perl
#%COMMENT
# Builds index files (one for each field) for the words in the 
# specified field using the input record text file.
#  Example usage: db_ndx.pl           < prvrb.input  > prvrb.ndx
#  Example usage: db_ndx.cmd  -nprvrb < prvrb.input  > prvrb.ndx
# The above creates a database file called prvrb.db, and
# an index file called prvrb.ndx. 
# (If -n option is not given it creates my.db as default.)
#%CMD TYPE 11

$fld_list = 'key_words head source';  # List of field names which will be indexed on. #OPT -f
$db_file = ''; # Filename in which records are stored after giving ID numbers. (Default: 'my.db') #OPT -d
$db_name = 'my'; # Database name using which file names are constructed (e.g. 'prvrb.db' name is constructed if given 'prvrb'). (Default: 'my') #OPT -n

$fld_end = '{'; # End of field marker. Default: '{'  #OPT  -F
$val_end = '}'; # End marker for value of a field. Default: '}' #OPT  -V
$rec_end = "@\n"; # End of record marker. Default: "@\n" #OPT  -R

foreach $p (@ARGV) { $parm .= ' ' . $p; }
print STDERR "DEBUG: parameters: $parm\n";
system (
"/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/db_ndx_main.cmd $parm > $Finname.tmp1;
sort < $Finname.tmp1  > $Finname.tmp2 ;
/home/bharathi/PNJ1/usr3/sangal/tools/src/etc/db_ndx_sup.cmd   $parm < $Finname.tmp2"
);
