#!/usr/bin/perl
# Breaks each line into lines of length $lim to $limmax or so. 
# Break is put after a white space only. If there is no
# white space available, the resulting line might be longer than $limmax

$lim = 60;  $limmax = 70;
$colcnt = 0;
open (ERR, ">fmt.err") || print "Unable to open fmt.err.\n";
while (<>) {
  chop;
       #print "\n---DEB$colcnt:$_\n";
  if ($_ eq '')  { # An empty line found
        #print "\n---DEBEMPTY$colcnt:\n";
    if ($colcnt != 0) {  # Put new line ending the previous line.
      print "\n";  $colcnt = 0;
    }
    print "\n";   # New line for the present line.
  }
  elsif (/^\s+/)  { #  Line begins with \s.
    if ($colcnt != 0) {  # Put new line ending the previous line.
      print "\n";  $colcnt = 0;
    }
  }
  while ($_ ne '') {
      #print "|---DEBLOOP$colcnt:$_|";
    if ($colcnt >= $lim) {  # Try to output new line as early as poss.
      if (/\s+/) {  # Find the next available space
        print "$`$&\n";
        if ( ($colcnt + length($`) + length($&)) > $limmax) {
          print ERR "Output line length exceeding $limmax for input line no. $. . Continuing.\n";
        }
        $_ = $';    $colcnt = 0;
      }
      else { 
        print "$_\n";
        if ( ($colcnt + length($_)) > $limmax) {
          print ERR "Output line length exceeding $limmax for input line no. $. . Continuing.\n";
        }    
        $_ = '';    $colcnt = 0;
      }
    }
    else {  # print upto length $lim of col count.
      $remcnt = length ($_);
      if (($colcnt + $remcnt) <= $lim ) {
        print "$_ ";  $_ = '';  $colcnt += ($remcnt + 1);
      }
      else {
        $slim = substr ($_, 0, $lim - $colcnt);
        print $slim;
        $_ = substr ($_, $lim - $colcnt);
        $colcnt =  $lim;
      }
    }
  }
}

