#! /usr/bin/perl
# Produces the size and names of files and dirs given as its input,
# the output of 'ls -l' command.
#   Example Usage: ls2allnames.pl  < a.ls

$dir = '.';
while (<STDIN>) {
  @all = split(/\s+/);
   # print STDERR "DEB: $all[0]  $all[4]\n";
   #if (substr($all[0], 0, 1) eq '-') { # To check that the info is for a file, not directory.
   #}
  if ($#all < 0) { next; }  # Blank line.
  if ($all[0] =~ /:$/) {  chop($all[0]);  $dir = $all[0];  } # Skip directories
  else {
    if (($dir eq 'old') || ($dir eq 'tmp')) { next; } # Miss all files in old or tmp dirs.
    #if ('d' eq substr($all[0], 0, 1)) { next; }  # skip this line. Directory.
    if ('total' eq substr($all[0], 0, 5)) { next; }  # skip this line. Directory.
    $fname = $all[8];
    if ($fname =~ /\/$/ ) {  next; }

    if ($fname =~ /\*$/ ) {  chop ($fname);  }  # Remove '*' from +x files.
    print $all[4], "\t", $dir, "/", $fname, "\n";
  }
}


