#%date = ("Jan",31,"Feb,28);
@monthname = (Jan,Feb,Mar);
@monthlen = (31,28,31);
&datechk (18,3,53);
&datechk (32,3,53);
&datechk (18,2,53);
&datechk (29,2,53);
&datechk (29,2,2000); # leap year
&datechk (29,2,1900); # nonleap year
&datechk (29,2,1996); # leap year


sub datechk {
  local ($day, $month, $year) = @_;
  print @_,"\n";
  if ($year < 100) { # standardize year to four digits.
    $year += 1900; 
  } 
  # To standardize month name to number.
  if (($month <= 12) && ($month > 0)) {
    if ($month != 2) {
      $length = $monthlen[$month - 1];
      if ($day > $length) {
        print "Day $day in month $month exceeds permissible range.\n";
      }
      elsif ($day < 1) {
        print "Day $day in month $month is less than one.\n";
      }
    }  
    else { #month = 2 (Feb)
      if (($year % 400 == 0) || (($year % 100 != 0) && ($year % 4 == 0))){
        $feblen = 29;
      }
      else { $feblen = 28; }
      if ($day > $feblen) {
        print "Day $day in month $month exceeds permissible range.\n";
      }
      elsif ($day < 1) {
        print "Day $day in month $month is less than one.\n";
      }
    }
  }
  else { print "Month $month is out of range.\n"; } 
}
       
  
