#! /usr/bin/perl
# Input is a file containing the output of dir command in dos.
# Converts to names.
#   Example usage: dir2names.pl <a.dir >a.names

# dir command output in dos creates a problem for tht split command
# because for a file name without extension, the size is given by the
# 1st entry (counting from 0), rather than the 2nd.
while (<>) {
  # $char1 = substr ($_, 0, 1);   # For debugging purpose.
  # print "--- dir2names.pl DEBUG: 1st char='$char1'\n";
  if (/^[^ ]/) {  # No opening spaces. To avoid file totals.
    $rest = substr ($_,17);
    $_ = substr ($_, 0, 17);
    # print "--- dir2names.pl DEBUG: after 17 chars=:$rest";
    if ($rest =~ /^<DIR>/) {  # This is a directory entry. Ignore.
      next;
    }
    # print "--- dir2names.pl DEBUG: 17 chars='$_'\n";
    @line = split (/\s+/);
    if ($line[1] ne '') {
      print $line[0], '.', $line[1], "\n";
    }
    else { print $line[0], "\n"; }
  }
  # else { print "--- dir2names.pl DEBUG: else taken. $_"; }
}

