%monthval = ("JAN",1,"FEB",2,"MAR",3,"APR",4,"MAY",5,"JUN",6, 
             "JUL",7,"AUG",8,"SEP",9,"OCT",10,"NOV",11,"DEC",12, 
             "JANUARY",1,"FEBRUARY",2,"MARCH",3,"APRIL",4,"MAY",5,"JUNE",6, 
             "JULY",7,"AUGUST",8,"SEPTEMBER",9,"OCTOBER",10,"NOVEMBER",11,"DECEMBER",12, 
             "SEPT", 9);
# datechk takes day, month, year as its args and converts month 
# numeric form & year in four digits. 
  
sub stddate {
  local ($month, $year) = @_;
  # print "stddate begin: :$month: :$year: \n";  
  if ($year < 100) { # standardize year to four digits.
    $year += 1900; 
    $_[1] = $year;
  } 
  # To standardize month name to number.
  if ($month =~ /[a-z]/i) {
    $month =~ tr/a-z/A-Z/;
    $month = $monthval {$month};
    $_[0] = $month;
  }
  # print "stddate ending: :$month: :$year: \n";  
}
1;       
