#! /usr/bin/perl

# Puts a fullstop word if not already found one after 140 words. (A word is
# a sequence of chars separated by white space. A fullstop word is
# a \s\.\s.

$w_sent = 0;  # $w_sent stores words found so far in a sentence.
while (<>) {
  while ($_ ne "") {
    if (/\s+/) {  # white space found.
      print $`, $&;
      $_ = $';
      $w_sent++;
      #  if (substr($_, 0, 2)  eq "\.\s") {
      if (substr($_, 0, 1)  eq '.') {
        $w_sent = -1;
      }
    }
    else { print; $_ = ""; $w_sent++; }

    if ($w_sent >= 140 ) {
      print ' . ';
      #print STDERR "Found a sent > 140: $_";
      $w_sent = 0;
    }
  }
}

