#! /usr/bin/perl
# Takes the given input file and puts one word in a line in the output
# file. Uses white space as the separater between words.

while (<>) {
  if (/^\s+/) { $_ =  $'; }   # Remove starting blanks.
  @words = split;
  for ($i = 0; $i <= $#words; $i++) {
    print "$words[$i]\n";
  }
}

