#!/usr/bin/perl
# Converts a readable roman notat to IITK Roman alphabetic notation.
while (<>)  {
  s/w/H/g;
  s/x/Z/g;

  s/kh/K/g;
  s/gh/G/g;
  s/ch/C/g;
  s/jh/J/g;
  s/ph/P/g;
  s/bh/B/g;

  s/th/W/g;
  s/t/w/g;
  s/dh/X/g;
  s/d/x/g;

  s/T([^h])/t\1/g;   #             order
  s/Th/T/g;          # Do not change --v

  s/D([^h])/d\1/g;   #             order
  s/Dh/D/g;  # Do not change --v

  s/R/q/g;
  s/S/R/g;
  s/sh/S/g;

  s/H/h/g;
  print ;
}

