# Selects and rearranges coloumns of topo34.txt and other databases from snomed
# and indents the title-field by the number shown in indent field ("02" etc.)
#   Example usage: c:\perl\perl  med_nam1.pl  < topo34.txt > topo34.out
# Following is the format of the example topo34.txt database:
# "T-00250"	""	"02"	"Epithelial tissue, NOS"	""	""
# "T-00250"	""	"05"	"Epithelial"	""	""
# "T-00251"	""	"01"	"Epithelial cell, NOS"	""	""
# "T-00260"	""	"01"	"Squamous epithelium, NOS"	""	""
# # Fields in the above (separated by \t):
#    0          1        2       3                              4       5

open (STDERR, ">med_nam1.err") ||
  die "Unable to open file med_nam1.err: $!\n";
$min_indent = '   ';
while (<>) {
  chop;
  s/"//g;
  @flds = split (/\t/);
  # Make proper indent
  $indent = '';
  if ($flds[2] =~ /^"(.*)"$/) { $flds[2] = $1; }
  for ($i=0; $i <= $flds[2]; $i++) { $indent  .=  '  '; }
    #   if ($flds[2] > 0) {
    #     for ($i=0; $i <= $flds[1]; $i++) { $indent  .=  '  '; }
    #   } else { $indent = '   '; }
  print $flds[0], $min_indent, $indent, $flds[3], "\n"; 
    # if ($flds[3] =~ /^[0-9]/) { print $flds[0], "   ", $flds[3], "\n"; }
    # else { print $flds[0], "     ", $flds[3], "\n"; }
}
