#!/usr/bin/perl
# Takes a given text, and extracts e-mail addresses from each line.

$part_addr = '[a-zA-Z0-9_\.!]';
while (<>) {
  $out = '';
  while ($_ ne '') {
    if (/($part_addr+\@$part_addr+)/) { $out .= $& . ' ';  $_ = $'; }
    else { $_ = ''; }
  }
  if ($out ne '') { print $out, "\n"; }
}
