#!/usr/bin/perl
# Converts the text so that it can be used for printing.
# Removes a sequence of more than one spaces if they
# occur in the line, but not in the beginning of the line.
#   Example usage: print_rmdsp.pl  < INFILE   >OUTFILE

while (<>) {
  if (/^ +/) { $tmp = $'; $tmppre = $&; } 
  else { $tmp = $_; $tmppre = '';}
  $tmp =~ s/  +/ /g;  # Remove two spaces (are not in beginning of line)
  $_ = $tmppre . $tmp;
    
  print;
}
