#!/usr/bin/perl
# All lines in which there is \indent in the beginning
# followed by a new line, are removed.
#
# (Takes a file on which corp_pre.pl and slidepre.pl have been run,
# and restores the file.  # This is what corp_pre.pl does:
# Takes an ordinary file from corpus and "preprocesses"
# it so that fmt program does not disturb the indenting.
# after which corp_post.pl can be run to restore the things.)

$last = '';
while (<>) {
  if (/^\\indent$/) {
    if ($last ne "\n") { print STDERR "Non-empty line before line no.: $.\n"; }
    $junk = <>; 
    if ($junk ne "\n") { print STDERR "Non-empty line: $.\n"; }
    #print $junk;   # commented out RS 3.1.98
    $_ = <>;
    $last = $_;
     #if (/  ([^ ])/) { $last = $` . '- ' . $1 . $'; }
  }
  else { print $last;   $last = $_; }
}
print $last;


