#!/usr/bin/perl
#%COMMENT
# Creates html files for the given text file.
#   Usage:  slide_html.pl  < a.txt  
# Author: Vikas Bansal, 31 Oct 1998. Revised version: R Sangal
#%CMD TYPE 11

$gen_toc = 1;  # Generate table of contents. Default:1(yes) #OPT -notoc sw0
open (TOC , ">index.htm") ||
  die "Unable to open out file index.htm: $!\n";
print TOC "<HTML>\n";
print TOC "<HEAD>\n";
print TOC "<TITLE>       </TITLE>\n";
print TOC '</HEAD>', "\n";
print TOC "<BODY>\n";
print TOC "<P>\n";

$s_count = 1;
open (QOUT, ">q$s_count.htm") ||
  die "Unable to open out file q$s_count.htm: $!\n";
print QOUT "<A NAME=\"SLIDE$s_count\"> ";
print QOUT "<P>\n";
print QOUT "<PRE>"; # maintains formatting of page
if ($gen_toc) {
  $TOC = "\n";
  $TOC .= "<P><A NAME=\"INDEX\">\n    -- INDEX -- \n<P>";
  $get_title = 1;
}
while (<>) {
  chop;
  if (/^-----/) {   # New slide starts.
    $s_prev = $s_count-1;
    $s_next = $s_count+1;
    print QOUT "</PRE>\n"; # end: maintaining of formatting of page 
    print QOUT "$s_count  <A HREF=\"q$s_next.htm\">NEXT-PAGE</A> \n"; 
    print QOUT "<A HREF=\"q$s_prev.htm\">PREVIOUS-PAGE</A> \n";
    if ($gen_toc) {
      print QOUT "<A HREF=\"index.htm\">INDEX</A> \n";
    }
    print QOUT '</A>',"\n";    # print $_, '<BR>', "\n";
    close (QOUT);
    $s_count++;
    open (QOUT, ">q$s_count.htm") ||
      die "Unable to open out file q$s_count.htm: $!\n";
    print QOUT "<A NAME=\"SLIDE$s_count\"> ";
    print QOUT  "<P>\n";
    print QOUT "<PRE>"; #maintains the formatting of page
    if ($gen_toc) { $get_title = 1; }
  }
  else { 
    print QOUT $_, "\n";
     #print $_, '<BR>', "\n";  # Removed <BR> after <PRE> was added.
    if ($gen_toc) { # add to the table of contents
      if ($get_title) {
        if ($_) { 
          $tmpcount = $s_count - 1;
          $TOC .= "<A HREF=\"q$s_count.htm\">$s_count $_</A><P>\n";
          $get_title = 0;
        }
      }
    } # endif gen_toc 
  }
}
# Generate for the last page
$s_prev = $s_count -1;
print QOUT "</PRE>"; # maintains formatting of page 
print QOUT "$s_count  <A HREF=\"q$s_prev.htm\">PREVIOUS-PAGE</A> \n";
if ($gen_toc) {
  print QOUT "<A HREF=\"index.htm\">INDEX</A> \n";
}

if ($gen_toc) { print TOC $TOC; }
print QOUT '</A>', "\n";
print QOUT '</BODY>',"\n";
print QOUT '</HTML>',"\n";
